/*****************************************************************************
 *  Rohde&Schwarz RTH Digital Oscilloscope instrument driver
 *  Callbacks
 *
 *  Original Release: May 2017
 *  By: Petr Kominek
 *
 *  Should you have any technical questions please contact the hotline of
 *  Rohde & Schwarz Vertriebs-GmbH Rohde & Schwarz Support Center
 *
 *  e-mail: CustomerSupport@rohde-schwarz.com
 *

 *****************************************************************************/

#include "rsrth.h"
#include "rsrth_utility.h"
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>
#if (defined(WIN32) || defined(_WIN32) || defined(__WIN32__) || defined(__NT__))
#define ANSI
#endif
#ifndef ANSI                /* UNIX compatible */
#include <sys/timeb.h>
#include <sys/types.h>
#include <unistd.h>
#define Sleep sleep
#else                       /* ANSI compatible */
#include <windows.h>
#endif

#pragma warning (disable:4100) // unreferenced formal parameter

/*****************************************************************************
*- Read Callbacks ----------------------------------------------------------*
*****************************************************************************/



/*****************************************************************************
 * Function: rsrth_logging_ReadCallback
 * Purpose:  This function overrides standard callback function. Returns value
 *           from cache
 *****************************************************************************/
ViStatus rsrth_logging_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr)
{
    return VI_SUCCESS;
}

/*****************************************************************************
 * Function: rsrth_logging_WriteCallback
 * Purpose:  This function overrides standard callback function.
 *****************************************************************************/
ViStatus rsrth_logging_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void* value)
{
    return VI_SUCCESS;
}

/*****************************************************************************
 * Function: rsrth_empty_ReadCallback
 * Purpose:  This function overrides standard callback function. Returns value
 *           from cache
 *****************************************************************************/
ViStatus rsrth_empty_ReadCallback(ViSession          instrSession,
                                  ViConstString      repCapName,
                                  RsCoreAttributePtr attr)
{
    return VI_SUCCESS;
}

/*****************************************************************************
 * Function: rsrth_empty_WriteCallback
 * Purpose:  This function overrides standard callback function. Does not write
 *           anything to instrument, just updates the cache
 *****************************************************************************/
ViStatus rsrth_empty_WriteCallback(ViSession          instrSession,
                                   ViConstString      repCapName,
                                   RsCoreAttributePtr attr,
                                   void*              value)
{
    return VI_SUCCESS;
}
