/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2021-09-17 14:05:09Z
 *****************************************************************************/

#include "rsrth.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsrth_RsCoreRepCapTableCount = 7;

RsCoreRepCap rsrth_RsCoreRepCapTable[7] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Channel",
      "CH1,CH2,CH3,CH4",
      "1,2,3,4"
    }, {
      "CPosition",
      "P1,P2",
      "1,2"
    }, {
      "TriggerChannel",
      "TCH1,TCH2,TCH3,TCH4",
      "1,2,3,4"
    }, {
      "Measurement",
      "M1,M2,M3,M4",
      "1,2,3,4"
    }, {
      "LogicChannel",
      "LCH1,LCH2,LCH3,LCH4,LCH5,LCH6,LCH7,LCH8,LCH9",
      "1,2,3,4,5,6,7,8,9"
    }, {
      "LCHGroup",
      "LCHG1,LCHG2,LCHG3",
      "1,2,3"
    }, {
      "TriggerSourceExt",
      "ACH1,ACH2,ACH3,ACH4,DCH0,DCH1,DCH2,DCH3,DCH4,DCH5,DCH6,DCH7",
      "1,2,3,4,8,9,10,11,12,13,14,15"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

RsCoreRangeTableRanged RsRth_rngHorzScale = { 1.0e-9, 500, "s/div" };

RsCoreRangeTableRanged RsRth_rngHorzAcquisitionTime = { 1.0e-9, 5000.0, "s" };

static ViReal64 RsRth_rngHorzReferenceEntries[3] = { 10, 50, 90 };
RsCoreRangeTableCoerced RsRth_rngHorzReference = { 3, RsRth_rngHorzReferenceEntries, "%" };

static RsCoreRangeTableDiscreteEntry RsRth_rngSampleModeEntries[5] =
  {
    { RSRTH_VAL_SAMPLE, "SAMP" },
    { RSRTH_VAL_PDET, "PDET" },
    { RSRTH_VAL_HRES, "HRES" },
    { RSRTH_VAL_AVER, "AVER" },
    { RSRTH_VAL_ENV, "ENV" }
  };
RsCoreRangeTableDiscrete RsRth_rngSampleMode = { 5, RsRth_rngSampleModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngVerticalCouplingEntries[2] =
  {
    { RSRTH_VAL_ACL, "ACL" },
    { RSRTH_VAL_DCL, "DCL" }
  };
RsCoreRangeTableDiscrete RsRth_rngVerticalCoupling = { 2, RsRth_rngVerticalCouplingEntries };

RsCoreRangeTableRanged RsRth_rngVerticalRange = { 0, 800e+3, "V" };

RsCoreRangeTableRanged RsRth_rngVerticalOffset = { -4.0, 4.0, "div" };

static RsCoreRangeTableDiscreteEntry RsRth_rngChannelBWLimitEntries[25] =
  {
    { RSRTH_VAL_BW_FULL, "FULL" },
    { RSRTH_VAL_BW_350, "B350" },
    { RSRTH_VAL_BW_200, "B200" },
    { RSRTH_VAL_BW_100, "B100" },
    { RSRTH_VAL_BW_60, "B60" },
    { RSRTH_VAL_BW_50, "B50" },
    { RSRTH_VAL_BW_40, "B40" },
    { RSRTH_VAL_BW_20, "B20" },
    { RSRTH_VAL_BW_10, "B10" },
    { RSRTH_VAL_BW_5, "B5" },
    { RSRTH_VAL_BW_4, "B4" },
    { RSRTH_VAL_BW_2, "B2" },
    { RSRTH_VAL_BW_1, "B1" },
    { RSRTH_VAL_BW_B5HK, "B5HK" },
    { RSRTH_VAL_BW_B4HK, "B4HK" },
    { RSRTH_VAL_BW_B2HK, "B2HK" },
    { RSRTH_VAL_BW_B1HK, "B1HK" },
    { RSRTH_VAL_BW_B50K, "B50K" },
    { RSRTH_VAL_BW_B40K, "B40K" },
    { RSRTH_VAL_BW_B20K, "B20K" },
    { RSRTH_VAL_BW_B10K, "B10K" },
    { RSRTH_VAL_BW_B5K, "B5K" },
    { RSRTH_VAL_BW_B4K, "B4K" },
    { RSRTH_VAL_BW_B2K, "B2K" },
    { RSRTH_VAL_BW_B1K, "B1K" }
  };
RsCoreRangeTableDiscrete RsRth_rngChannelBWLimit = { 25, RsRth_rngChannelBWLimitEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTriggerModeEntries[3] =
  {
    { RSRTH_VAL_NORMAL, "NORM" },
    { RSRTH_VAL_AUTO, "AUTO" },
    { RSRTH_VAL_SINGLE, "SING" }
  };
RsCoreRangeTableDiscrete RsRth_rngTriggerMode = { 3, RsRth_rngTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTriggerTypeEntries[14] =
  {
    { RSRTH_VAL_TRIGGER_EDGE, "EDGE" },
    { RSRTH_VAL_TRIGGER_WIDTH, "WIDT" },
    { RSRTH_VAL_TRIGGER_RUNT, "RUNT" },
    { RSRTH_VAL_TRIGGER_GLITCH, "GLIT" },
    { RSRTH_VAL_TRIGGER_WINDOW, "WIND" },
    { RSRTH_VAL_TRIGGER_TIMEOUT, "TIM" },
    { RSRTH_VAL_TRIGGER_INTERVAL, "INT" },
    { RSRTH_VAL_TRIGGER_SLEW_RATE, "SLEW" },
    { RSRTH_VAL_TRIGGER_DATA_TO_CLOCK, "DAT" },
    { RSRTH_VAL_TRIGGER_PATTERN, "PATT" },
    { RSRTH_VAL_TRIGGER_SERIAL_PATTERN, "SERP" },
    { RSRTH_VAL_TRIGGER_STATE, "STAT" },
    { RSRTH_VAL_TRIGGER_TV, "TV" },
    { RSRTH_VAL_TRIGGER_PROTOCOL, "PROT" }
  };
RsCoreRangeTableDiscrete RsRth_rngTriggerType = { 14, RsRth_rngTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngWidthConditionEntries[6] =
  {
    { RSRTH_VAL_SHORTER, "SHOR" },
    { RSRTH_VAL_LONGER, "LONG" },
    { RSRTH_VAL_WITHIN, "WITH" },
    { RSRTH_VAL_OUTSIDE, "OUTS" },
    { RSRTH_VAL_NOTEQUAL, "NEQ" },
    { RSRTH_VAL_EQUAL, "EQU" }
  };
RsCoreRangeTableDiscrete RsRth_rngWidthCondition = { 6, RsRth_rngWidthConditionEntries };

RsCoreRangeTableRanged RsRth_rngWidth = { 800.0e-12, 10000.0, "s" };

RsCoreRangeTableRanged RsRth_rngLineNumber = { 1, 3000, "" };

static RsCoreRangeTableDiscreteEntry RsRth_rngGlitchConditionEntries[2] =
  {
    { RSRTH_VAL_SHORTER, "SHOR" },
    { RSRTH_VAL_LONGER, "LONG" }
  };
RsCoreRangeTableDiscrete RsRth_rngGlitchCondition = { 2, RsRth_rngGlitchConditionEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngWindowConditionEntries[4] =
  {
    { RSRTH_VAL_ENTER, "ENT" },
    { RSRTH_VAL_EXIT, "EXIT" },
    { RSRTH_VAL_WITHIN, "WITH" },
    { RSRTH_VAL_OUTSIDE, "OUTS" }
  };
RsCoreRangeTableDiscrete RsRth_rngWindowCondition = { 4, RsRth_rngWindowConditionEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTimeoutConditionEntries[3] =
  {
    { RSRTH_VAL_TIMEOUT_LOW, "LOW" },
    { RSRTH_VAL_TIMEOUT_HIGH, "HIGH" },
    { RSRTH_VAL_TIMEOUT_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsRth_rngTimeoutCondition = { 3, RsRth_rngTimeoutConditionEntries };

RsCoreRangeTableRanged RsRth_rngInterval = { 8.0e-9, 10, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolI2CTriggerTypeEntries[7] =
  {
    { RSRTH_VAL_I2C_TRIGGER_START, "STAR" },
    { RSRTH_VAL_I2C_TRIGGER_RESTART, "REST" },
    { RSRTH_VAL_I2C_TRIGGER_STOP, "STOP" },
    { RSRTH_VAL_I2C_TRIGGER_NACK, "NACK" },
    { RSRTH_VAL_I2C_TRIGGER_ADDRESS, "ADDR" },
    { RSRTH_VAL_I2C_TRIGGER_DATA, "DATA" },
    { RSRTH_VAL_I2C_TRIGGER_ADAT, "ADAT" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolI2CTriggerType = { 7, RsRth_rngProtocolI2CTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolI2CAccessBitEntries[3] =
  {
    { RSRTH_VAL_I2C_ACCESS_BIT_EITHER, "EITH" },
    { RSRTH_VAL_I2C_ACCESS_BIT_READ, "READ" },
    { RSRTH_VAL_I2C_ACCESS_BIT_WRITE, "WRIT" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolI2CAccessBit = { 3, RsRth_rngProtocolI2CAccessBitEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolUARTTriggerTypeEntries[6] =
  {
    { RSRTH_VAL_UART_TRIGGER_STBT, "STBT" },
    { RSRTH_VAL_UART_TRIGGER_PCKS, "PCKS" },
    { RSRTH_VAL_UART_TRIGGER_DATA, "DATA" },
    { RSRTH_VAL_UART_TRIGGER_PRER, "PRER" },
    { RSRTH_VAL_UART_TRIGGER_BRKC, "BRKC" },
    { RSRTH_VAL_UART_TRIGGER_FERR, "STP" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolUARTTriggerType = { 6, RsRth_rngProtocolUARTTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolLINTriggerEntries[5] =
  {
    { RSRTH_VAL_LIN_SYNC, "SYNC" },
    { RSRTH_VAL_LIN_FRAME_ID, "ID" },
    { RSRTH_VAL_LIN_FRAME_ID_DATA, "IDDT" },
    { RSRTH_VAL_LIN_FRAME_WAKEUP, "WKFR" },
    { RSRTH_VAL_LIN_ERR_COND, "ERRC" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolLINTrigger = { 5, RsRth_rngProtocolLINTriggerEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolCANTriggModeEntries[6] =
  {
    { RSRTH_VAL_CAN_FRAME_START, "STOF" },
    { RSRTH_VAL_CAN_FRAME_TYPE, "FTYP" },
    { RSRTH_VAL_CAN_MSG_ID, "ID" },
    { RSRTH_VAL_CAN_MSG_ID_DATA, "IDDT" },
    { RSRTH_VAL_CAN_ERR_COND, "ERRC" },
    { RSRTH_VAL_CAN_FRAME_EOF, "EOF" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolCANTriggMode = { 6, RsRth_rngProtocolCANTriggModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolCANIDTypeEntries[3] =
  {
    { RSRTH_VAL_CAN_FRAME_ID_TYPE_B11, "B11" },
    { RSRTH_VAL_CAN_FRAME_ID_TYPE_B29, "B29" },
    { RSRTH_VAL_CAN_FRAME_ID_TYPE_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolCANIDType = { 3, RsRth_rngProtocolCANIDTypeEntries };

RsCoreRangeTableRanged RsRth_rngPersistenceTime = { 0.05, 10, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngHardcopyLangEntries[4] =
  {
    { RSRTH_VAL_HARDCOPY_LANG_PNG, "PNG" },
    { RSRTH_VAL_HARDCOPY_LANG_JPG, "JPG" },
    { RSRTH_VAL_HARDCOPY_LANG_BMP, "BMP" },
    { RSRTH_VAL_HARDCOPY_LANG_TIFF, "TIFF" }
  };
RsCoreRangeTableDiscrete RsRth_rngHardcopyLang = { 4, RsRth_rngHardcopyLangEntries };

RsCoreRangeTableRanged RsRth_rngTriggerPosition = { 0, 4095, "" };

static RsCoreRangeTableDiscreteEntry RsRth_rngTVTriggerStandardEntries[18] =
  {
    { RSRTH_VAL_TV_STANDARD_CUSTOM, "CUST" },
    { RSRTH_VAL_TV_STANDARD_PAL, "PAL" },
    { RSRTH_VAL_TV_STANDARD_PALM, "PALM" },
    { RSRTH_VAL_TV_STANDARD_NTSC, "NTSC" },
    { RSRTH_VAL_TV_STANDARD_SEC, "SEC" },
    { RSRTH_VAL_TV_STANDARD_P480L60HZ, "P480L60HZ" },
    { RSRTH_VAL_TV_STANDARD_P720L30HZ, "P720L30HZ" },
    { RSRTH_VAL_TV_STANDARD_P720L50HZ, "P720L50HZ" },
    { RSRTH_VAL_TV_STANDARD_P720L60HZ, "P720L60HZ" },
    { RSRTH_VAL_TV_STANDARD_I1080L50HZ, "I1080L50HZ" },
    { RSRTH_VAL_TV_STANDARD_I1080L60HZ, "I1080L60HZ" },
    { RSRTH_VAL_TV_STANDARD_P1080L24HZ, "P1080L24HZ" },
    { RSRTH_VAL_TV_STANDARD_P1080L24HZSF, "P1080L24HZSF" },
    { RSRTH_VAL_TV_STANDARD_P1080L25HZ, "P1080L25HZ" },
    { RSRTH_VAL_TV_STANDARD_P1080L30HZ, "P1080L30HZ" },
    { RSRTH_VAL_TV_STANDARD_P1080L50HZ, "P1080L50HZ" },
    { RSRTH_VAL_TV_STANDARD_P1080L60HZ, "P1080L60HZ" },
    { RSRTH_VAL_TV_STANDARD_P576L50HZ, "P576L50HZ" }
  };
RsCoreRangeTableDiscrete RsRth_rngTVTriggerStandard = { 18, RsRth_rngTVTriggerStandardEntries };

static RsCoreRangeTableDiscreteEntry RSRth_rngTVTriggerModeEntries[5] =
  {
    { RSRTH_VAL_TV_MODE_ALL, "ALL" },
    { RSRTH_VAL_TV_MODE_ODD, "ODD" },
    { RSRTH_VAL_TV_MODE_EVEN, "EVEN" },
    { RSRTH_VAL_TV_MODE_ALIN, "ALIN" },
    { RSRTH_VAL_TV_MODE_LINE, "LINE" }
  };
RsCoreRangeTableDiscrete RSRth_rngTVTriggerMode = { 5, RSRth_rngTVTriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTVTriggerFieldEntries[2] =
  {
    { RSRTH_VAL_TV_FIELD_ODD, "FIELD1" },
    { RSRTH_VAL_TV_FIELD_EVEN, "FIELD2" }
  };
RsCoreRangeTableDiscrete RsRth_rngTVTriggerField = { 2, RsRth_rngTVTriggerFieldEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTVTriggerPulseTypeEntries[2] =
  {
    { RSRTH_VAL_TV_PULSE_BI_LEVEL, "BIL" },
    { RSRTH_VAL_TV_PULSE_TRI_LEVEL, "TRIL" }
  };
RsCoreRangeTableDiscrete RsRth_rngTVTriggerPulseType = { 2, RsRth_rngTVTriggerPulseTypeEntries };

RsCoreRangeTableRanged RsRth_rngTVLinePeriod = { 5.0e-6, 200.0e-6, "s" };

RsCoreRangeTableRanged RsRth_rngTVPulseWidth = { 100.0e-9, 100.0e-6, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngTVScanModeEntries[3] =
  {
    { RSRTH_VAL_TV_SCAN_MODE_INTERLACED, "INT" },
    { RSRTH_VAL_TV_SCAN_MODE_PROGRESSIVE, "PROG" },
    { RSRTH_VAL_TV_SCAN_MODE_SEGMENTED, "SEGM" }
  };
RsCoreRangeTableDiscrete RsRth_rngTVScanMode = { 3, RsRth_rngTVScanModeEntries };

RsCoreRangeTableRanged RsRth_rngMaskVerticalWidth = { 0, 8, "div" };

static RsCoreRangeTableDiscreteEntry RsRth_rngByteOrderEntries[2] =
  {
    { RSRTH_VAL_MSBF, "MSBF" },
    { RSRTH_VAL_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete RsRth_rngByteOrder = { 2, RsRth_rngByteOrderEntries };

RsCoreRangeTableRanged RsRth_rngCursorXPosition = { -100.0e+24, 100.0e+24, "s" };

RsCoreRangeTableRanged RsRth_rngNumberofAverages = { 2, 8192, "" };

RsCoreRangeTableRanged RsRth_rngChannelDelay = { -100.0e-9, 100.0e+9, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngHistoryPlayerSpeedEntries[4] =
  {
    { RSRTH_VAL_TPAC_AUTO, "AUTO" },
    { RSRTH_VAL_TPAC_SLOW, "SLOW" },
    { RSRTH_VAL_TPAC_MEDIUM, "MED" },
    { RSRTH_VAL_TPAC_FAST, "FAST" }
  };
RsCoreRangeTableDiscrete RsRth_rngHistoryPlayerSpeed = { 4, RsRth_rngHistoryPlayerSpeedEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngHistoryNumberofSegmentsEntries[3] =
  {
    { RSRTH_VAL_LOW, "LOW" },
    { RSRTH_VAL_MEDIUM, "MED" },
    { RSRTH_VAL_HIGH, "HIGH" }
  };
RsCoreRangeTableDiscrete RsRth_rngHistoryNumberofSegments = { 3, RsRth_rngHistoryNumberofSegmentsEntries };

RsCoreRangeTableRanged RsRth_rngHistoryIndex = { -4999, 0, "" };

RsCoreRangeTableRanged RsRth_rngChannelOffset = { -400, 400, "V" };

RsCoreRangeTableRanged RsRth_rngVerticalScale = { 2.0e-3, 100.0, "V/div" };

static RsCoreRangeTableDiscreteEntry RsRth_rngChannelThresholdTechnologyEntries[9] =
  {
    { RSRTH_VAL_THR_USER, "USER" },
    { RSRTH_VAL_THR_TTL, "TTL" },
    { RSRTH_VAL_THR_ECL, "ECL" },
    { RSRTH_VAL_THR_CMOS, "CMOS" },
    { RSRTH_VAL_THR_GND, "GND" },
    { RSRTH_VAL_THR_CAN, "CAN" },
    { RSRTH_VAL_THR_LIN7V, "LIN7" },
    { RSRTH_VAL_THR_LIN12V, "LIN12" },
    { RSRTH_VAL_THR_LIN18V, "LIN18" }
  };
RsCoreRangeTableDiscrete RsRth_rngChannelThresholdTechnology = { 9, RsRth_rngChannelThresholdTechnologyEntries };

RsCoreRangeTableRanged RsRth_rngChannelThresholdUser = { -400.0, 400.0, "V" };

RsCoreRangeTableRanged RsRth_rngCursorYPosition = { -100.0e+24, 100.0e+24, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngCursorFunctionEntries[4] =
  {
    { RSRTH_VAL_CURSOR_HORIZONTAL, "HOR" },
    { RSRTH_VAL_CURSOR_VERTICAL, "VERT" },
    { RSRTH_VAL_CURSOR_TRACKING, "TRAC" },
    { RSRTH_VAL_CURSOR_MEASURE, "MEAS" }
  };
RsCoreRangeTableDiscrete RsRth_rngCursorFunction = { 4, RsRth_rngCursorFunctionEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngLimitTypeEntries[4] =
  {
    { RSRTH_VAL_INSIDE_LIMIT, "INS" },
    { RSRTH_VAL_OVER_LIMIT, "OVER" },
    { RSRTH_VAL_UNDER_LIMIT, "UND" },
    { RSRTH_VAL_OUTSIDE_LIMIT, "OVUN" }
  };
RsCoreRangeTableDiscrete RsRth_rngLimitType = { 4, RsRth_rngLimitTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngDisplayPersistenceTypeEntries[3] =
  {
    { RSRTH_VAL_PERSISTENCE_OFF, "OFF" },
    { RSRTH_VAL_PERSISTENCE_TIME, "TIME" },
    { RSRTH_VAL_PERSISTENCE_INF, "INF" }
  };
RsCoreRangeTableDiscrete RsRth_rngDisplayPersistenceType = { 3, RsRth_rngDisplayPersistenceTypeEntries };

RsCoreRangeTableRanged RsRth_rngLogicChannelDeskew = { -100e-9, 100e-9, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngMaskTestViolationEventEntries[4] =
  {
    { RSRTH_VAL_MASK_TEST_EVENT_NONE, "NONE" },
    { RSRTH_VAL_MASK_TEST_EVENT_STOP, "STOP" },
    { RSRTH_VAL_MASK_TEST_EVENT_BEEP, "BEEP" },
    { RSRTH_VAL_MASK_TEST_EVENT_BPSTOP, "BPST" }
  };
RsCoreRangeTableDiscrete RsRth_rngMaskTestViolationEvent = { 4, RsRth_rngMaskTestViolationEventEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngMaskTestStateEntries[3] =
  {
    { RSRTH_VAL_STATE_NOMASK, "NOM" },
    { RSRTH_VAL_STATE_RUNNING, "RUNN" },
    { RSRTH_VAL_STATE_IDLE, "IDLE" }
  };
RsCoreRangeTableDiscrete RsRth_rngMaskTestState = { 3, RsRth_rngMaskTestStateEntries };

RsCoreRangeTableRanged RsRth_rngMaskHorizontalWidth = { 0, 10, "div" };

static RsCoreRangeTableDiscreteEntry RsRth_rngMeasurementDelaySlopeEntries[3] =
  {
    { RSRTH_VAL_MEAS_NEG, "NEG" },
    { RSRTH_VAL_MEAS_POS, "POS" },
    { RSRTH_VAL_MEAS_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsRth_rngMeasurementDelaySlope = { 3, RsRth_rngMeasurementDelaySlopeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngDataWaveformSourceEntries[14] =
  {
    { RSRTH_VAL_DATA_C1, "C1" },
    { RSRTH_VAL_DATA_C2, "C2" },
    { RSRTH_VAL_DATA_C3, "C3" },
    { RSRTH_VAL_DATA_C4, "C4" },
    { RSRTH_VAL_DATA_M1, "M1" },
    { RSRTH_VAL_DATA_D0, "D0" },
    { RSRTH_VAL_DATA_D1, "D1" },
    { RSRTH_VAL_DATA_D2, "D2" },
    { RSRTH_VAL_DATA_D3, "D3" },
    { RSRTH_VAL_DATA_D4, "D4" },
    { RSRTH_VAL_DATA_D5, "D5" },
    { RSRTH_VAL_DATA_D6, "D6" },
    { RSRTH_VAL_DATA_D7, "D7" },
    { RSRTH_VAL_DATA_R, "R" }
  };
RsCoreRangeTableDiscrete RsRth_rngDataWaveformSource = { 14, RsRth_rngDataWaveformSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngMeasurementEntries[33] =
  {
    { RSRTH_VAL_MEAS_PERIOD, "PER" },
    { RSRTH_VAL_MEAS_FREQ, "FREQ" },
    { RSRTH_VAL_MEAS_RTIME, "RTIM" },
    { RSRTH_VAL_MEAS_FTIME, "FTIM" },
    { RSRTH_VAL_MEAS_PPULSE, "PPUL" },
    { RSRTH_VAL_MEAS_NPULSE, "NPUL" },
    { RSRTH_VAL_MEAS_PDCYCLE, "PDCY" },
    { RSRTH_VAL_MEAS_NDCYCLE, "NDCY" },
    { RSRTH_VAL_MEAS_MEAN, "MEAN" },
    { RSRTH_VAL_MEAS_RMS, "RMS" },
    { RSRTH_VAL_MEAS_CREST, "CRES" },
    { RSRTH_VAL_MEAS_STDDEV, "STDD" },
    { RSRTH_VAL_MEAS_MIN, "MIN" },
    { RSRTH_VAL_MEAS_MAX, "MAX" },
    { RSRTH_VAL_MEAS_PKPK, "PKPK" },
    { RSRTH_VAL_MEAS_BASELEV, "BAS" },
    { RSRTH_VAL_MEAS_TOPLEV, "TOPL" },
    { RSRTH_VAL_MEAS_AMPL, "AMPL" },
    { RSRTH_VAL_MEAS_OVERSHOOT, "OVRS" },
    { RSRTH_VAL_MEAS_PRESHOOT, "PRES" },
    { RSRTH_VAL_MEAS_AC, "AC" },
    { RSRTH_VAL_MEAS_DC, "DC" },
    { RSRTH_VAL_MEAS_ACDC, "ACDC" },
    { RSRTH_VAL_MEAS_PPC, "PPC" },
    { RSRTH_VAL_MEAS_NPC, "NPC" },
    { RSRTH_VAL_MEAS_RECOUNT, "REC" },
    { RSRTH_VAL_MEAS_FECOUNT, "FEC" },
    { RSRTH_VAL_MEAS_PWRP, "PWRP" },
    { RSRTH_VAL_MEAS_PWRS, "PWRS" },
    { RSRTH_VAL_MEAS_PWRQ, "PWRQ" },
    { RSRTH_VAL_MEAS_PWRF, "PWRF" },
    { RSRTH_VAL_MEAS_DELAY, "DEL" },
    { RSRTH_VAL_MEAS_PHASE, "PHAS" }
  };
RsCoreRangeTableDiscrete RsRth_rngMeasurement = { 33, RsRth_rngMeasurementEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngCursorMeasurementEntries[27] =
  {
    { RSRTH_VAL_MEAS_PERIOD, "PER" },
    { RSRTH_VAL_MEAS_FREQ, "FREQ" },
    { RSRTH_VAL_MEAS_RTIME, "RTIM" },
    { RSRTH_VAL_MEAS_FTIME, "FTIM" },
    { RSRTH_VAL_MEAS_PPULSE, "PPUL" },
    { RSRTH_VAL_MEAS_NPULSE, "NPUL" },
    { RSRTH_VAL_MEAS_PDCYCLE, "PDCY" },
    { RSRTH_VAL_MEAS_NDCYCLE, "NDCY" },
    { RSRTH_VAL_MEAS_MEAN, "MEAN" },
    { RSRTH_VAL_MEAS_RMS, "RMS" },
    { RSRTH_VAL_MEAS_CREST, "CRES" },
    { RSRTH_VAL_MEAS_STDDEV, "STDD" },
    { RSRTH_VAL_MEAS_MIN, "MIN" },
    { RSRTH_VAL_MEAS_MAX, "MAX" },
    { RSRTH_VAL_MEAS_PKPK, "PKPK" },
    { RSRTH_VAL_MEAS_BASELEV, "BAS" },
    { RSRTH_VAL_MEAS_TOPLEV, "TOPL" },
    { RSRTH_VAL_MEAS_AMPL, "AMPL" },
    { RSRTH_VAL_MEAS_OVERSHOOT, "OVRS" },
    { RSRTH_VAL_MEAS_PRESHOOT, "PRES" },
    { RSRTH_VAL_MEAS_AC, "AC" },
    { RSRTH_VAL_MEAS_DC, "DC" },
    { RSRTH_VAL_MEAS_ACDC, "ACDC" },
    { RSRTH_VAL_MEAS_PPC, "PPC" },
    { RSRTH_VAL_MEAS_NPC, "NPC" },
    { RSRTH_VAL_MEAS_RECOUNT, "REC" },
    { RSRTH_VAL_MEAS_FECOUNT, "FEC" }
  };
RsCoreRangeTableDiscrete RsRth_rngCursorMeasurement = { 27, RsRth_rngCursorMeasurementEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngModeEntries[11] =
  {
    { RSRTH_VAL_MODE_SCOPE, "YT" },
    { RSRTH_VAL_MODE_XY, "XY" },
    { RSRTH_VAL_MODE_MASK, "MASK" },
    { RSRTH_VAL_MODE_ROLL, "ROLL" },
    { RSRTH_VAL_MODE_METER, "MET" },
    { RSRTH_VAL_MODE_FFT, "FFT" },
    { RSRTH_VAL_MODE_LOGGER, "LOGG" },
    { RSRTH_VAL_MODE_COUNTER, "COUN" },
    { RSRTH_VAL_MODE_PROTOCOL, "PROT" },
    { RSRTH_VAL_MODE_HARMONIC, "HARM" },
    { RSRTH_VAL_MODE_SPECTRUM, "SPEC" }
  };
RsCoreRangeTableDiscrete RsRth_rngMode = { 11, RsRth_rngModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngReferenceWaveformSourceEntries[5] =
  {
    { RSRTH_VAL_DATA_C1, "C1" },
    { RSRTH_VAL_DATA_C2, "C2" },
    { RSRTH_VAL_DATA_C3, "C3" },
    { RSRTH_VAL_DATA_C4, "C4" },
    { RSRTH_VAL_DATA_M1, "M1" }
  };
RsCoreRangeTableDiscrete RsRth_rngReferenceWaveformSource = { 5, RsRth_rngReferenceWaveformSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngWLANModeEntries[2] =
  {
    { RSRTH_VAL_WLAN_ACCESSPOINT, "ACC" },
    { RSRTH_VAL_WLAN_CLIENT, "CLI" }
  };
RsCoreRangeTableDiscrete RsRth_rngWLANMode = { 2, RsRth_rngWLANModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngNqEqEntries[2] =
  {
    { RSRTH_VAL_NQ, "NEQ" },
    { RSRTH_VAL_EQ, "EQU" }
  };
RsCoreRangeTableDiscrete RsRth_rngNqEq = { 2, RsRth_rngNqEqEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolCANTriggFrameTypeEntries[5] =
  {
    { RSRTH_VAL_CAN_FRAME_TYPE_DATA, "DATA" },
    { RSRTH_VAL_CAN_FRAME_TYPE_REMOTE, "REM" },
    { RSRTH_VAL_CAN_FRAME_TYPE_ERROR, "ERR" },
    { RSRTH_VAL_CAN_FRAME_TYPE_OVER_LOAD, "OVER" },
    { RSRTH_VAL_CAN_FRAME_TYPE_DOR, "DOR" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolCANTriggFrameType = { 5, RsRth_rngProtocolCANTriggFrameTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolData2ClockConditionEntries[2] =
  {
    { RSRTH_VAL_COND_OK, "OK" },
    { RSRTH_VAL_COND_VIOL, "VIOL" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolData2ClockCondition = { 2, RsRth_rngProtocolData2ClockConditionEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTriggerPolarityEntries[3] =
  {
    { RSRTH_VAL_POSITIVE, "POS" },
    { RSRTH_VAL_NEGATIVE, "NEG" },
    { RSRTH_VAL_EITHER, "EITH" }
  };
RsCoreRangeTableDiscrete RsRth_rngTriggerPolarity = { 3, RsRth_rngTriggerPolarityEntries };

RsCoreRangeTableRanged RsRth_rngData2ClockTime = { -124.0e-9, 124.0e-9, "s" };

RsCoreRangeTableRanged RsRth_rngExternalTriggerLevel = { -10.0, 10.0, "V" };

RsCoreRangeTableRanged RsRth_rngTriggerSequenceHoldoffEvents = { 1, 1000000000, "" };

RsCoreRangeTableRanged RsRth_rngRandomTime = { 8.0e-9, 10, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngHoldoffModeEntries[4] =
  {
    { RSRTH_VAL_HOLDOFF_OFF, "OFF" },
    { RSRTH_VAL_HOLDOFF_TIME, "TIME" },
    { RSRTH_VAL_HOLDOFF_EVENTS, "EVEN" },
    { RSRTH_VAL_HOLDOFF_RANDOM, "RAND" }
  };
RsCoreRangeTableDiscrete RsRth_rngHoldoffMode = { 4, RsRth_rngHoldoffModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngPolarityEntries[2] =
  {
    { RSRTH_VAL_POSITIVE, "POS" },
    { RSRTH_VAL_NEGATIVE, "NEG" }
  };
RsCoreRangeTableDiscrete RsRth_rngPolarity = { 2, RsRth_rngPolarityEntries };

RsCoreRangeTableRanged RsRth_rngTriggerLimits = { -10.0, 10.0, "V" };

static RsCoreRangeTableDiscreteEntry RsRth_rngTriggerStateEntries[3] =
  {
    { RSRTH_VAL_TRIGGER_ZERO, "ZERO" },
    { RSRTH_VAL_TRIGGER_ONE, "ONE" },
    { RSRTH_VAL_TRIGGER_DONT, "DONT" }
  };
RsCoreRangeTableDiscrete RsRth_rngTriggerState = { 3, RsRth_rngTriggerStateEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngLogicEntries[2] =
  {
    { RSRTH_VAL_AND, "AND" },
    { RSRTH_VAL_OR, "OR" }
  };
RsCoreRangeTableDiscrete RsRth_rngLogic = { 2, RsRth_rngLogicEntries };

RsCoreRangeTableRanged RsRth_rngPatternTimeout = { 100.0e-12, 10.0e+3, "s" };

RsCoreRangeTableRanged RsRth_rngDelta = { 0, 5000, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngPatternConditionEntries[8] =
  {
    { RSRTH_VAL_SHORTER, "SHOR" },
    { RSRTH_VAL_LONGER, "LONG" },
    { RSRTH_VAL_WITHIN, "WITH" },
    { RSRTH_VAL_OUTSIDE, "OUTS" },
    { RSRTH_VAL_NOTEQUAL, "NEQ" },
    { RSRTH_VAL_EQUAL, "EQU" },
    { RSRTH_VAL_TIMEOUT, "TIM" },
    { RSRTH_VAL_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsRth_rngPatternCondition = { 8, RsRth_rngPatternConditionEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngSlewConditionEntries[6] =
  {
    { RSRTH_VAL_SHORTER, "SHOR" },
    { RSRTH_VAL_LONGER, "LONG" },
    { RSRTH_VAL_WITHIN, "WITH" },
    { RSRTH_VAL_OUTSIDE, "OUTS" },
    { RSRTH_VAL_NOTEQUAL, "NEQ" },
    { RSRTH_VAL_EQUAL, "EQU" }
  };
RsCoreRangeTableDiscrete RsRth_rngSlewCondition = { 6, RsRth_rngSlewConditionEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngBitOrderEntries[2] =
  {
    { RSRTH_VAL_BIT_MSBF, "MSBF" },
    { RSRTH_VAL_BIT_LSBF, "LSBF" }
  };
RsCoreRangeTableDiscrete RsRth_rngBitOrder = { 2, RsRth_rngBitOrderEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolSPITriggerModeEntries[3] =
  {
    { RSRTH_VAL_SPI_FSTART, "FRST" },
    { RSRTH_VAL_SPI_FEND, "FREN" },
    { RSRTH_VAL_SPI_DATA, "DATA" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolSPITriggerMode = { 3, RsRth_rngProtocolSPITriggerModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolSPITriggerPatternLineEntries[2] =
  {
    { RSRTH_VAL_SPI_LINE_MISO, "MISO" },
    { RSRTH_VAL_SPI_LINE_MOSI, "MOSI" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolSPITriggerPatternLine = { 2, RsRth_rngProtocolSPITriggerPatternLineEntries };

RsCoreRangeTableRanged RsRth_rngTimeoutValue = { 100.0e-12, 10000.0, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngWindowTimeConditionEntries[6] =
  {
    { RSRTH_VAL_SHORTER, "SHOR" },
    { RSRTH_VAL_LONGER, "LONG" },
    { RSRTH_VAL_WITHIN, "WITH" },
    { RSRTH_VAL_OUTSIDE, "OUTS" },
    { RSRTH_VAL_NOTEQUAL, "NEQ" },
    { RSRTH_VAL_EQUAL, "EQU" }
  };
RsCoreRangeTableDiscrete RsRth_rngWindowTimeCondition = { 6, RsRth_rngWindowTimeConditionEntries };

RsCoreRangeTableRanged RsRth_rngZoomScale = { 1.0e-12, 500.0, "s" };

RsCoreRangeTableRanged RsRth_rngZoomPosition = { -500.0, 500.0, "s" };

static RsCoreRangeTableDiscreteEntry RsRth_rngRuntConditionEntries[7] =
  {
    { RSRTH_VAL_SHORTER, "SHOR" },
    { RSRTH_VAL_LONGER, "LONG" },
    { RSRTH_VAL_WITHIN, "WITH" },
    { RSRTH_VAL_OUTSIDE, "OUTS" },
    { RSRTH_VAL_NOTEQUAL, "NEQ" },
    { RSRTH_VAL_EQUAL, "EQU" },
    { RSRTH_VAL_ANY, "ANY" }
  };
RsCoreRangeTableDiscrete RsRth_rngRuntCondition = { 7, RsRth_rngRuntConditionEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngDataSourceEntries[13] =
  {
    { RSRTH_VAL_DATA_C1, "C1" },
    { RSRTH_VAL_DATA_C2, "C2" },
    { RSRTH_VAL_DATA_C3, "C3" },
    { RSRTH_VAL_DATA_C4, "C4" },
    { RSRTH_VAL_DATA_M1, "M1" },
    { RSRTH_VAL_DATA_D0, "D0" },
    { RSRTH_VAL_DATA_D1, "D1" },
    { RSRTH_VAL_DATA_D2, "D2" },
    { RSRTH_VAL_DATA_D3, "D3" },
    { RSRTH_VAL_DATA_D4, "D4" },
    { RSRTH_VAL_DATA_D5, "D5" },
    { RSRTH_VAL_DATA_D6, "D6" },
    { RSRTH_VAL_DATA_D7, "D7" }
  };
RsCoreRangeTableDiscrete RsRth_rngDataSource = { 13, RsRth_rngDataSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTriggerDataSourceEntries[12] =
  {
    { RSRTH_VAL_DATA_C1, "C1" },
    { RSRTH_VAL_DATA_C2, "C2" },
    { RSRTH_VAL_DATA_C3, "C3" },
    { RSRTH_VAL_DATA_C4, "C4" },
    { RSRTH_VAL_DATA_D0, "D0" },
    { RSRTH_VAL_DATA_D1, "D1" },
    { RSRTH_VAL_DATA_D2, "D2" },
    { RSRTH_VAL_DATA_D3, "D3" },
    { RSRTH_VAL_DATA_D4, "D4" },
    { RSRTH_VAL_DATA_D5, "D5" },
    { RSRTH_VAL_DATA_D6, "D6" },
    { RSRTH_VAL_DATA_D7, "D7" }
  };
RsCoreRangeTableDiscrete RsRth_rngTriggerDataSource = { 12, RsRth_rngTriggerDataSourceEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngLogicChannelGroupHysteresisEntries[3] =
  {
    { RSRTH_VAL_LOGIC_HYST_SMALL, "SMAL" },
    { RSRTH_VAL_LOGIC_HYST_MEDIUM, "MED" },
    { RSRTH_VAL_LOGIC_HYST_LARGE, "LARG" }
  };
RsCoreRangeTableDiscrete RsRth_rngLogicChannelGroupHysteresis = { 3, RsRth_rngLogicChannelGroupHysteresisEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngTriggerSingleModeEntries[2] =
  {
    { RSRTH_VAL_NORMAL, "NORM" },
    { RSRTH_VAL_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsRth_rngTriggerSingleMode = { 2, RsRth_rngTriggerSingleModeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngPreselectedRecordLengthEntries[3] =
  {
    { RSRTH_VAL_PRESELECTED_RECORD_LENGTH_MAX, "MAX" },
    { RSRTH_VAL_PRESELECTED_RECORD_LENGTH_MIDDLE, "MIDD" },
    { RSRTH_VAL_PRESELECTED_RECORD_LENGTH_MIN, "MIN" }
  };
RsCoreRangeTableDiscrete RsRth_rngPreselectedRecordLength = { 3, RsRth_rngPreselectedRecordLengthEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngWaveformUpdateEntries[2] =
  {
    { RSRTH_VAL_WAVEFORM_UPDATE_INTERMEDIATE, "INT" },
    { RSRTH_VAL_WAVEFORM_UPDATE_FULL, "FULL" }
  };
RsCoreRangeTableDiscrete RsRth_rngWaveformUpdate = { 2, RsRth_rngWaveformUpdateEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProbeSettlingEntries[17] =
  {
    { RSRTH_VAL_PROBE_SETTLING_V1TO1, "V1TO1" },
    { RSRTH_VAL_PROBE_SETTLING_V10TO1, "V10To1" },
    { RSRTH_VAL_PROBE_SETTLING_V20TO1, "V20To1" },
    { RSRTH_VAL_PROBE_SETTLING_V100TO1, "V100To1" },
    { RSRTH_VAL_PROBE_SETTLING_V200TO1, "V200To1" },
    { RSRTH_VAL_PROBE_SETTLING_V1000TO1, "V1000To1" },
    { RSRTH_VAL_PROBE_SETTLING_C100V1A, "C100V1A" },
    { RSRTH_VAL_PROBE_SETTLING_C10V1A, "C10V1A" },
    { RSRTH_VAL_PROBE_SETTLING_C1V1A, "C1V1A" },
    { RSRTH_VAL_PROBE_SETTLING_C100MV1A, "C100MV1A" },
    { RSRTH_VAL_PROBE_SETTLING_C10MV1A, "C10MV1A" },
    { RSRTH_VAL_PROBE_SETTLING_C1MV1A, "C1MV1A" },
    { RSRTH_VAL_PROBE_SETTLING_T1MVC, "T1MVC" },
    { RSRTH_VAL_PROBE_SETTLING_T1MVF, "T1MVF" },
    { RSRTH_VAL_PROBE_SETTLING_TPTC, "TPTC" },
    { RSRTH_VAL_PROBE_SETTLING_TPTF, "TPTF" },
    { RSRTH_VAL_PROBE_SETTLING_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsRth_rngProbeSettling = { 17, RsRth_rngProbeSettlingEntries };

RsCoreRangeTableRanged RsRth_rngProbeFactor = { 100e-6, 10000, "" };

static RsCoreRangeTableDiscreteEntry RsRth_rngProbeUnitEntries[2] =
  {
    { RSRTH_VAL_PROBE_UNIT_V, "V" },
    { RSRTH_VAL_PROBE_UNIT_A, "A" }
  };
RsCoreRangeTableDiscrete RsRth_rngProbeUnit = { 2, RsRth_rngProbeUnitEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngInvertEntries[2] =
  {
    { RSRTH_VAL_POLARITY_NORMAL, "NORM" },
    { RSRTH_VAL_POLARITY_INVERTED, "INV" }
  };
RsCoreRangeTableDiscrete RsRth_rngInvert = { 2, RsRth_rngInvertEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngCANFDBitsEntries[3] =
  {
    { RSRTH_VAL_CAN_FD_BITS_ZERO, "ZERO" },
    { RSRTH_VAL_CAN_FD_BITS_ONE, "ONE" },
    { RSRTH_VAL_CAN_FD_BITS_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsRth_rngCANFDBits = { 3, RsRth_rngCANFDBitsEntries };

RsCoreRangeTableRanged RsRth_rngCANByteOffset = { 0, 63, "" };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolSENTTriggerTypeEntries[6] =
  {
    { RSRTH_VAL_SENT_START_OF_FRAME, "STOF" },
    { RSRTH_VAL_SENT_FAST_STATUS, "STAT" },
    { RSRTH_VAL_SENT_FAST_STATUS_AND_DATA, "STDA" },
    { RSRTH_VAL_SENT_SLOW_IDENTIFIER, "ID" },
    { RSRTH_VAL_SENT_SLOW_IDENTIFIER_AND_DATA, "IDDT" },
    { RSRTH_VAL_SENT_ERROR_CONDITION, "ERRC" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolSENTTriggerType = { 6, RsRth_rngProtocolSENTTriggerTypeEntries };

static RsCoreRangeTableDiscreteEntry RsRth_rngProtocolSENTTriggerConditionEntries[9] =
  {
    { RSRTH_VAL_LTHAN, "LTH" },
    { RSRTH_VAL_GTHAN, "GTH" },
    { RSRTH_VAL_IN_RANGE, "INR" },
    { RSRTH_VAL_OUT_OF_RANGE, "OOR" },
    { RSRTH_VAL_NOT_EQUAL, "NEQ" },
    { RSRTH_VAL_EQUAL, "EQU" },
    { RSRTH_VAL_LETHAN, "LETH" },
    { RSRTH_VAL_GETHAN, "GETH" },
    { RSRTH_VAL_UNUSED, "UNUS" }
  };
RsCoreRangeTableDiscrete RsRth_rngProtocolSENTTriggerCondition = { 9, RsRth_rngProtocolSENTTriggerConditionEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MODE =
  {
    RSRTH_ATTR_MODE,
    "Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngMode, NULL, NULL,
    "OP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_MODE_SCOPE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_NUM_AVERAGES =
  {
    RSRTH_ATTR_NUM_AVERAGES,
    "Number of Averages",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRth_rngNumberofAverages, NULL,
    "ACQ:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SAMPLE_MODE =
  {
    RSRTH_ATTR_SAMPLE_MODE,
    "Sample Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngSampleMode, NULL, NULL,
    "ACQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_SAMPLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PRESELECTED_RECORD_LENGTH =
  {
    RSRTH_ATTR_PRESELECTED_RECORD_LENGTH,
    "Preselected Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngPreselectedRecordLength, NULL, NULL,
    "ACQ:POIN:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_PRESELECTED_RECORD_LENGTH_MAX,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_UPDATE =
  {
    RSRTH_ATTR_WAVEFORM_UPDATE,
    "Waveform Update",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngWaveformUpdate, NULL, NULL,
    "ACQ:WAV",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_WAVEFORM_UPDATE_INTERMEDIATE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HORZ_RECORD_LENGTH =
  {
    RSRTH_ATTR_HORZ_RECORD_LENGTH,
    "Horizontal Record Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:POIN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HORZ_ADC_SAMPLE_RATE =
  {
    RSRTH_ATTR_HORZ_ADC_SAMPLE_RATE,
    "Horizontal ADC Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:POIN:ARAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.25e+9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HORZ_RESOLUTION =
  {
    RSRTH_ATTR_HORZ_RESOLUTION,
    "Horizontal Resolution",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ACQ:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E-10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_AUTOSCALE =
  {
    RSRTH_ATTR_AUTOSCALE,
    "Autoscale",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "AUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HORZ_TIME_PER_RECORD =
  {
    RSRTH_ATTR_HORZ_TIME_PER_RECORD,
    "Horizontal Time Per Record",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngHorzAcquisitionTime, NULL,
    "TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HORZ_SCALE =
  {
    RSRTH_ATTR_HORZ_SCALE,
    "Horizontal Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngHorzScale, NULL,
    "TIM:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_ACQUSITION_START_TIME =
  {
    RSRTH_ATTR_ACQUSITION_START_TIME,
    "Acqusition Start Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TIM:HOR:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HORZ_REFERENCE =
  {
    RSRTH_ATTR_HORZ_REFERENCE,
    "Horizontal Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsRth_rngHorzReference,
    "TIM:REF",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_ENABLED =
  {
    RSRTH_ATTR_CHANNEL_ENABLED,
    "Channel Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_VERTICAL_RANGE =
  {
    RSRTH_ATTR_VERTICAL_RANGE,
    "Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngVerticalRange, NULL,
    "CHAN{Channel}:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_VERTICAL_OFFSET =
  {
    RSRTH_ATTR_VERTICAL_OFFSET,
    "Vertical Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngVerticalOffset, NULL,
    "CHAN{Channel}:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_VERTICAL_COUPLING =
  {
    RSRTH_ATTR_VERTICAL_COUPLING,
    "Vertical Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngVerticalCoupling, NULL, NULL,
    "CHAN{Channel}:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DCL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_VERTICAL_SCALE =
  {
    RSRTH_ATTR_VERTICAL_SCALE,
    "Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngVerticalScale, NULL,
    "CHAN{Channel}:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_OFFSET =
  {
    RSRTH_ATTR_CHANNEL_OFFSET,
    "Channel Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngChannelOffset, NULL,
    "CHAN{Channel}:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_BANDWIDTH_LIMIT =
  {
    RSRTH_ATTR_CHANNEL_BANDWIDTH_LIMIT,
    "Channel Bandwidth Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngChannelBWLimit, NULL, NULL,
    "CHAN{Channel}:BAND",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_BW_FULL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_DELAY =
  {
    RSRTH_ATTR_CHANNEL_DELAY,
    "Channel Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngChannelDelay, NULL,
    "CHAN{Channel}:DESK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROBE_SETTLING =
  {
    RSRTH_ATTR_PROBE_SETTLING,
    "Probe Settling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProbeSettling, NULL, NULL,
    "CHAN{Channel}:PROB",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_PROBE_SETTLING_V1TO1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROBE_FACTOR =
  {
    RSRTH_ATTR_PROBE_FACTOR,
    "Probe Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngProbeFactor, NULL,
    "PROB{Channel}:SET:ATT:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROBE_UNIT =
  {
    RSRTH_ATTR_PROBE_UNIT,
    "Probe Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProbeUnit, NULL, NULL,
    "PROB{Channel}:SET:ATT:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_PROBE_UNIT_V,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_INVERT_POLARITY =
  {
    RSRTH_ATTR_INVERT_POLARITY,
    "Invert Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngInvert, NULL, NULL,
    "CHAN{Channel}:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POLARITY_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_HEADER =
  {
    RSRTH_ATTR_WAVEFORM_HEADER,
    "Waveform Header",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:DATA:HEAD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_THRESHOLD_TECHNOLOGY =
  {
    RSRTH_ATTR_CHANNEL_THRESHOLD_TECHNOLOGY,
    "Channel Threshold Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngChannelThresholdTechnology, NULL, NULL,
    "CHAN{Channel}:THR:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_THR_TTL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_THRESHOLD_USER =
  {
    RSRTH_ATTR_CHANNEL_THRESHOLD_USER,
    "Channel Threshold User",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngChannelThresholdUser, NULL,
    "CHAN{Channel}:THR:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_FIND_THRESHOLD =
  {
    RSRTH_ATTR_CHANNEL_FIND_THRESHOLD,
    "Channel Find Threshold",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CHAN{Channel}:THR:FIND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CHANNEL_GET_THRESHOLD =
  {
    RSRTH_ATTR_CHANNEL_GET_THRESHOLD,
    "Channel Get Threshold",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CHAN{Channel}:THR:THR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_TYPE =
  {
    RSRTH_ATTR_TRIGGER_TYPE,
    "Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerType, NULL, NULL,
    "TRIG:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TRIGGER_EDGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_SOURCE =
  {
    RSRTH_ATTR_TRIGGER_SOURCE,
    "Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerDataSource, NULL, NULL,
    "TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_MODE =
  {
    RSRTH_ATTR_TRIGGER_MODE,
    "Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerMode, NULL, NULL,
    "TRIG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_NOISE_REJECT =
  {
    RSRTH_ATTR_TRIGGER_NOISE_REJECT,
    "Trigger Noise Reject",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:MNR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_LEVEL =
  {
    RSRTH_ATTR_TRIGGER_LEVEL,
    "Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTriggerLimits, NULL,
    "TRIG:LEV{TriggerSourceExt}:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_SLOPE =
  {
    RSRTH_ATTR_TRIGGER_SLOPE,
    "Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:EDGE:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_EXTERNAL_TRIGGER_LEVEL =
  {
    RSRTH_ATTR_EXTERNAL_TRIGGER_LEVEL,
    "External Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngExternalTriggerLevel, NULL,
    "TRIG:EXT:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_EXTERNAL_TRIGGER_SLOPE =
  {
    RSRTH_ATTR_EXTERNAL_TRIGGER_SLOPE,
    "External Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:EXT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_CONDITION =
  {
    RSRTH_ATTR_RUNT_CONDITION,
    "Runt Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngRuntCondition, NULL, NULL,
    "TRIG:RUNT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_WIDTH =
  {
    RSRTH_ATTR_RUNT_WIDTH,
    "Runt Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:RUNT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_WIDTH_MIN =
  {
    RSRTH_ATTR_RUNT_WIDTH_MIN,
    "Runt Width Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:RUNT:MINW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_WIDTH_MAX =
  {
    RSRTH_ATTR_RUNT_WIDTH_MAX,
    "Runt Width Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:RUNT:MAXW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_DELTA =
  {
    RSRTH_ATTR_RUNT_DELTA,
    "Runt Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngDelta, NULL,
    "TRIG:RUNT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_POLARITY =
  {
    RSRTH_ATTR_RUNT_POLARITY,
    "Runt Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:RUNT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_HIGH_THRESHOLD =
  {
    RSRTH_ATTR_RUNT_HIGH_THRESHOLD,
    "Runt High Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTriggerLimits, NULL,
    "TRIG:LEV{TriggerChannel}:RUNT:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUNT_LOW_THRESHOLD =
  {
    RSRTH_ATTR_RUNT_LOW_THRESHOLD,
    "Runt Low Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTriggerLimits, NULL,
    "TRIG:LEV{TriggerChannel}:RUNT:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_GLITCH_WIDTH =
  {
    RSRTH_ATTR_GLITCH_WIDTH,
    "Glitch Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:GLIT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_GLITCH_POLARITY =
  {
    RSRTH_ATTR_GLITCH_POLARITY,
    "Glitch Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:GLIT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_GLITCH_CONDITION =
  {
    RSRTH_ATTR_GLITCH_CONDITION,
    "Glitch Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngGlitchCondition, NULL, NULL,
    "TRIG:GLIT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WIDTH_CONDITION =
  {
    RSRTH_ATTR_WIDTH_CONDITION,
    "Width Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngWidthCondition, NULL, NULL,
    "TRIG:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WIDTH_WIDTH =
  {
    RSRTH_ATTR_WIDTH_WIDTH,
    "Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:WIDT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WIDTH_WIDTH_MIN =
  {
    RSRTH_ATTR_WIDTH_WIDTH_MIN,
    "Width Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:WIDT:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WIDTH_WIDTH_MAX =
  {
    RSRTH_ATTR_WIDTH_WIDTH_MAX,
    "Width Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:WIDT:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WIDTH_DELTA =
  {
    RSRTH_ATTR_WIDTH_DELTA,
    "Width Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngDelta, NULL,
    "TRIG:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WIDTH_POLARITY =
  {
    RSRTH_ATTR_WIDTH_POLARITY,
    "Width Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:WIDT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_CONDITION =
  {
    RSRTH_ATTR_WINDOW_CONDITION,
    "Window Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngWindowCondition, NULL, NULL,
    "TRIG:WIND:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_ENTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_WIDTH =
  {
    RSRTH_ATTR_WINDOW_WIDTH,
    "Window Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:WIND:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_WIDTH_MIN =
  {
    RSRTH_ATTR_WINDOW_WIDTH_MIN,
    "Window Width Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:WIND:MINW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_WIDTH_MAX =
  {
    RSRTH_ATTR_WINDOW_WIDTH_MAX,
    "Window Width Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:WIND:MAXW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_DELTA =
  {
    RSRTH_ATTR_WINDOW_DELTA,
    "Window Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngDelta, NULL,
    "TRIG:WIND:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_TIME_CONDITION =
  {
    RSRTH_ATTR_WINDOW_TIME_CONDITION,
    "Window Time Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngWindowTimeCondition, NULL, NULL,
    "TRIG:WIND:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_UPPER_LIMIT =
  {
    RSRTH_ATTR_WINDOW_UPPER_LIMIT,
    "Window Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTriggerLimits, NULL,
    "TRIG:LEV{TriggerChannel}:WIND:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WINDOW_LOWER_LIMIT =
  {
    RSRTH_ATTR_WINDOW_LOWER_LIMIT,
    "Window Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTriggerLimits, NULL,
    "TRIG:LEV{TriggerChannel}:WIND:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TIMEOUT_CONDITION =
  {
    RSRTH_ATTR_TIMEOUT_CONDITION,
    "Timeout Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTimeoutCondition, NULL, NULL,
    "TRIG:TIM:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TIMEOUT_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TIMEOUT_VALUE =
  {
    RSRTH_ATTR_TIMEOUT_VALUE,
    "Timeout Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTimeoutValue, NULL,
    "TRIG:TIM:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_INTERVAL_CONDITION =
  {
    RSRTH_ATTR_INTERVAL_CONDITION,
    "Interval Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngWidthCondition, NULL, NULL,
    "TRIG:INT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_INTERVAL_WIDTH =
  {
    RSRTH_ATTR_INTERVAL_WIDTH,
    "Interval Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:INT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_INTERVAL_WIDTH_MIN =
  {
    RSRTH_ATTR_INTERVAL_WIDTH_MIN,
    "Interval Width Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:INT:MINW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_INTERVAL_WIDTH_MAX =
  {
    RSRTH_ATTR_INTERVAL_WIDTH_MAX,
    "Interval Width Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:INT:MAXW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_INTERVAL_DELTA =
  {
    RSRTH_ATTR_INTERVAL_DELTA,
    "Interval Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngDelta, NULL,
    "TRIG:INT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_INTERVAL_POLARITY =
  {
    RSRTH_ATTR_INTERVAL_POLARITY,
    "Interval Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngPolarity, NULL, NULL,
    "TRIG:INT:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_CONDITION =
  {
    RSRTH_ATTR_SLEW_CONDITION,
    "Slew Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngSlewCondition, NULL, NULL,
    "TRIG:SLEW:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_RATE =
  {
    RSRTH_ATTR_SLEW_RATE,
    "Slew Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:SLEW:RATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_DELTA =
  {
    RSRTH_ATTR_SLEW_DELTA,
    "Slew Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngDelta, NULL,
    "TRIG:SLEW:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_WIDTH_MIN =
  {
    RSRTH_ATTR_SLEW_WIDTH_MIN,
    "Slew Width Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:SLEW:MINW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_WIDTH_MAX =
  {
    RSRTH_ATTR_SLEW_WIDTH_MAX,
    "Slew Width Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:SLEW:MAXW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_POLARITY =
  {
    RSRTH_ATTR_SLEW_POLARITY,
    "Slew Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:SLEW:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_UPPER_LIMIT =
  {
    RSRTH_ATTR_SLEW_UPPER_LIMIT,
    "Slew Upper Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTriggerLimits, NULL,
    "TRIG:LEV{TriggerChannel}:SLEW:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SLEW_LOWER_LIMIT =
  {
    RSRTH_ATTR_SLEW_LOWER_LIMIT,
    "Slew Lower Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTriggerLimits, NULL,
    "TRIG:LEV{TriggerChannel}:SLEW:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DATA2CLOCK_CONDITION =
  {
    RSRTH_ATTR_DATA2CLOCK_CONDITION,
    "Data2Clock Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolData2ClockCondition, NULL, NULL,
    "TRIG:DAT:COND",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_COND_VIOL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DATA2CLOCK_SOURCE =
  {
    RSRTH_ATTR_DATA2CLOCK_SOURCE,
    "Data2Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerDataSource, NULL, NULL,
    "TRIG:DAT:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DATA2CLOCK_DATA_SOURCE =
  {
    RSRTH_ATTR_DATA2CLOCK_DATA_SOURCE,
    "Data2Clock Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerDataSource, NULL, NULL,
    "TRIG:DAT:DSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DATA2CLOCK_HOLD_TIME =
  {
    RSRTH_ATTR_DATA2CLOCK_HOLD_TIME,
    "Data2Clock Hold Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngData2ClockTime, NULL,
    "TRIG:DAT:HTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DATA2CLOCK_SETUP_TIME =
  {
    RSRTH_ATTR_DATA2CLOCK_SETUP_TIME,
    "Data2Clock Setup Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngData2ClockTime, NULL,
    "TRIG:DAT:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DATA2CLOCK_POLARITY =
  {
    RSRTH_ATTR_DATA2CLOCK_POLARITY,
    "Data2Clock Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:DAT:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_COMBINATION =
  {
    RSRTH_ATTR_PATTERN_COMBINATION,
    "Pattern Combination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngLogic, NULL, NULL,
    "TRIG:PATT:STAT:COMB",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_TIMEOUT =
  {
    RSRTH_ATTR_PATTERN_TIMEOUT,
    "Pattern Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngPatternTimeout, NULL,
    "TRIG:PATT:TIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_CONDITION =
  {
    RSRTH_ATTR_PATTERN_CONDITION,
    "Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngPatternCondition, NULL, NULL,
    "TRIG:PATT:WIDT:RANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LONGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_WIDTH =
  {
    RSRTH_ATTR_PATTERN_WIDTH,
    "Pattern Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:PATT:WIDT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_WIDTH_MIN =
  {
    RSRTH_ATTR_PATTERN_WIDTH_MIN,
    "Pattern Width Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:PATT:WIDT:MINW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_WIDTH_MAX =
  {
    RSRTH_ATTR_PATTERN_WIDTH_MAX,
    "Pattern Width Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngWidth, NULL,
    "TRIG:PATT:WIDT:MAXW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0E-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_DELTA =
  {
    RSRTH_ATTR_PATTERN_DELTA,
    "Pattern Delta",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngDelta, NULL,
    "TRIG:PATT:WIDT:DELT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PATTERN_CHANNEL_STATE =
  {
    RSRTH_ATTR_PATTERN_CHANNEL_STATE,
    "Pattern State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerState, NULL, NULL,
    "TRIG:PATT:STATe:CHAN{TriggerSourceExt}",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TRIGGER_DONT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SERIAL_PATTERN_SOURCE =
  {
    RSRTH_ATTR_SERIAL_PATTERN_SOURCE,
    "Serial Pattern Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerDataSource, NULL, NULL,
    "TRIG:SPAT:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SERIAL_PATTERN_DATA_SOURCE =
  {
    RSRTH_ATTR_SERIAL_PATTERN_DATA_SOURCE,
    "Serial Pattern Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerDataSource, NULL, NULL,
    "TRIG:SPAT:DSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SERIAL_PATTERN =
  {
    RSRTH_ATTR_SERIAL_PATTERN,
    "Serial Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SPAT:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SERIAL_PATTERN_POLARITY =
  {
    RSRTH_ATTR_SERIAL_PATTERN_POLARITY,
    "Serial Pattern Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:SPAT:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SERIAL_PATTERN_FIRST_POLARITY =
  {
    RSRTH_ATTR_SERIAL_PATTERN_FIRST_POLARITY,
    "Serial Pattern First Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:SPAT:CSO:FIRS",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SERIAL_PATTERN_BIT_ORDER =
  {
    RSRTH_ATTR_SERIAL_PATTERN_BIT_ORDER,
    "Serial Pattern Bit Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngBitOrder, NULL, NULL,
    "TRIG:SPAT:ORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_BIT_MSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_STANDARD =
  {
    RSRTH_ATTR_TV_TRIGGER_STANDARD,
    "TV Trigger Standard",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTVTriggerStandard, NULL, NULL,
    "TRIG:TV:STAN",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TV_STANDARD_PAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_MODE =
  {
    RSRTH_ATTR_TV_TRIGGER_MODE,
    "TV Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RSRth_rngTVTriggerMode, NULL, NULL,
    "TRIG:TV:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TV_MODE_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_LINE_NUMBER =
  {
    RSRTH_ATTR_TV_TRIGGER_LINE_NUMBER,
    "TV Trigger Line Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRth_rngLineNumber, NULL,
    "TRIG:TV:LINE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_FIELD =
  {
    RSRTH_ATTR_TV_TRIGGER_FIELD,
    "TV Trigger Field",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTVTriggerField, NULL, NULL,
    "TRIG1:TV:LFI",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TV_FIELD_ODD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_POLARITY =
  {
    RSRTH_ATTR_TV_TRIGGER_POLARITY,
    "TV Trigger Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngPolarity, NULL, NULL,
    "TRIG:TV:POL",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_PULSE_TYPE =
  {
    RSRTH_ATTR_TV_TRIGGER_PULSE_TYPE,
    "TV Trigger Pulse Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTVTriggerPulseType, NULL, NULL,
    "TRIG:TV:CUST:STYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TV_PULSE_BI_LEVEL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_LINE_PERIOD =
  {
    RSRTH_ATTR_TV_TRIGGER_LINE_PERIOD,
    "TV Trigger Line Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTVLinePeriod, NULL,
    "TRIG:TV:CUST:LDUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    64.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_PULSE_WIDTH =
  {
    RSRTH_ATTR_TV_TRIGGER_PULSE_WIDTH,
    "TV Trigger Pulse Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngTVPulseWidth, NULL,
    "TRIG:TV:CUST:SDUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.7e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TV_TRIGGER_SCAN_MODE =
  {
    RSRTH_ATTR_TV_TRIGGER_SCAN_MODE,
    "TV Trigger Scan Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTVScanMode, NULL, NULL,
    "TRIG:TV:CUST:SCAN",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TV_SCAN_MODE_INTERLACED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_MODE =
  {
    RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_MODE,
    "Trigger Sequence Holdoff Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngHoldoffMode, NULL, NULL,
    "TRIG:HOLD:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_HOLDOFF_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_TIME =
  {
    RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_TIME,
    "Trigger Sequence Holdoff Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngInterval, NULL,
    "TRIG:HOLD:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_EVENTS =
  {
    RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_EVENTS,
    "Trigger Sequence Holdoff Events",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRth_rngTriggerSequenceHoldoffEvents, NULL,
    "TRIG:HOLD:EVEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MINIMUM_TIME =
  {
    RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MINIMUM_TIME,
    "Trigger Sequence Holdoff Random Minimum Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngRandomTime, NULL,
    "TRIG:HOLD:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MAXIMUM_TIME =
  {
    RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MAXIMUM_TIME,
    "Trigger Sequence Holdoff Random Maximum Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngRandomTime, NULL,
    "TRIG:HOLD:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_MODE =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_MODE,
    "Protocol I2C Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolI2CTriggerType, NULL, NULL,
    "TRIG:I2C:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_I2C_TRIGGER_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADRESS_NACK =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADRESS_NACK,
    "Protocol I2C Trigger Adress Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:I2C:ADN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK,
    "Protocol I2C Trigger Data Write Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:I2C:DWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK,
    "Protocol I2C Trigger Data Read Nack",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:I2C:DRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS_BIT =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS_BIT,
    "Protocol I2C Trigger Access Bit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolI2CAccessBit, NULL, NULL,
    "TRIG:I2C:ACC",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_I2C_ACCESS_BIT_EITHER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_CONDITION,
    "Protocol I2C Trigger Address Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:I2C:ACON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS,
    "Protocol I2C Trigger Address",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:I2C:ADDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1100000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_POSITION =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_POSITION,
    "Protocol I2C Trigger Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRth_rngTriggerPosition, NULL,
    "TRIG:I2C:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_CONDITION,
    "Protocol I2C Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:I2C:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN =
  {
    RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN,
    "Protocol I2C Trigger Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:I2C:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_MODE =
  {
    RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_MODE,
    "Protocol SPI Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolSPITriggerMode, NULL, NULL,
    "TRIG:SPI:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_SPI_FSTART,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN =
  {
    RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN,
    "Protocol SPI Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SPI:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_CONDITION,
    "Protocol SPI Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:SPI:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_POSITION =
  {
    RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_POSITION,
    "Protocol SPI Trigger Position",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRth_rngTriggerPosition, NULL,
    "TRIG:SPI:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_PATTERN_LINE =
  {
    RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_PATTERN_LINE,
    "Protocol SPI Trigger Pattern Line",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolSPITriggerPatternLine, NULL, NULL,
    "TRIG:SPI:DSRC",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_SPI_LINE_MISO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_MODE =
  {
    RSRTH_ATTR_PROTOCOL_UART_TRIGGER_MODE,
    "Protocol UART Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolUARTTriggerType, NULL, NULL,
    "TRIG:UART:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_UART_TRIGGER_STBT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN =
  {
    RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN,
    "Protocol UART Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:UART:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN_CONDITION,
    "Protocol UART Trigger Data Pattern Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:UART:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K2",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_MODE =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_MODE,
    "Protocol LIN Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolLINTrigger, NULL, NULL,
    "TRIG:LIN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LIN_SYNC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA,
    "Protocol LIN Trigger Condition Data",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:LIN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA,
    "Protocol LIN Trigger Pattern Data",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:LIN:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_CONDITION,
    "Protocol LIN Trigger Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:LIN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER,
    "Protocol LIN Trigger Pattern Identifier",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:LIN:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0000000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR,
    "Protocol LIN Trigger Checksum Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:LIN:CHKS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_PARITY_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_PARITY_ERROR,
    "Protocol LIN Trigger Identifier Parity Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:LIN:IPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR,
    "Protocol LIN Trigger Sync Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:LIN:SYER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_MODE =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_MODE,
    "Protocol CAN Trigger Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolCANTriggMode, NULL, NULL,
    "TRIG:CAN:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_CAN_FRAME_START,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    "Protocol CAN Trigger Frame Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolCANTriggFrameType, NULL, NULL,
    "TRIG:CAN:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_CAN_FRAME_TYPE_DOR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE,
    "Protocol CAN Trigger ID Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolCANIDType, NULL, NULL,
    "TRIG:CAN:ITYP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_CAN_FRAME_ID_TYPE_ANY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_FDF =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_FDF,
    "Protocol CAN Trigger FD Bits FDF",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngCANFDBits, NULL, NULL,
    "TRIG:CAN:FDAT:FDF",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_CAN_FD_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_BRS =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_BRS,
    "Protocol CAN Trigger FD Bits BRS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngCANFDBits, NULL, NULL,
    "TRIG:CAN:FDAT:BRS",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_CAN_FD_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_ESI =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_ESI,
    "Protocol CAN Trigger FD Bits ESI",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngCANFDBits, NULL, NULL,
    "TRIG:CAN:FDAT:ESI",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_CAN_FD_BITS_DC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION,
    "Protocol CAN Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:CAN:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA,
    "Protocol CAN Trigger Pattern Data",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:CAN:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BYTE_OFFSET =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BYTE_OFFSET,
    "Protocol CAN Trigger Byte Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRIG:CAN:FDAT:DPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION,
    "Protocol CAN Trigger Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngNqEq, NULL, NULL,
    "TRIG:CAN:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER,
    "Protocol CAN Trigger Pattern Identifier",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:CAN:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR,
    "Protocol CAN Trigger Checksum Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:CRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR,
    "Protocol CAN Trigger Bit Stuffing Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:BITS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR,
    "Protocol CAN Trigger Form Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:FORM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR,
    "Protocol CAN Trigger Ack Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:ACK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K3",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR,
    "Protocol CAN Trigger Stuff Count Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:CAN:FDAT:SCER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_STATE_TRIGGER_CLOCK_SOURCE =
  {
    RSRTH_ATTR_STATE_TRIGGER_CLOCK_SOURCE,
    "State Trigger Clock Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerDataSource, NULL, NULL,
    "TRIG:STAT:CSO",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_STATE_TRIGGER_CLOCK_EDGE =
  {
    RSRTH_ATTR_STATE_TRIGGER_CLOCK_EDGE,
    "State Trigger Clock Edge",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerPolarity, NULL, NULL,
    "TRIG:STAT:CSO:EDGE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_STATE_TRIGGER_COMBINATION =
  {
    RSRTH_ATTR_STATE_TRIGGER_COMBINATION,
    "State Trigger Combination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngLogic, NULL, NULL,
    "TRIG:STAT:COMB",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_AND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_STATE_TRIGGER_ENABLED =
  {
    RSRTH_ATTR_STATE_TRIGGER_ENABLED,
    "State Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngTriggerState, NULL, NULL,
    "TRIG:STATe:CHAN{TriggerSourceExt}",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TRIGGER_DONT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K0|K19",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_TYPE =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_TYPE,
    "Protocol SENT Trigger Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolSENTTriggerType, NULL, NULL,
    "TRIG:SENT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_SENT_START_OF_FRAME,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_CONDITION,
    "Protocol SENT Trigger Data Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolSENTTriggerCondition, NULL, NULL,
    "TRIG:SENT:DCON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_PATTERN =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_PATTERN,
    "Protocol SENT Trigger Data Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SENT:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_CONDITION,
    "Protocol SENT Trigger Identifier Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolSENTTriggerCondition, NULL, NULL,
    "TRIG:SENT:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_PATTERN =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_PATTERN,
    "Protocol SENT Trigger Identifier Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SENT:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXXXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_CONDITION =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_CONDITION,
    "Protocol SENT Trigger Status Condition",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngProtocolSENTTriggerCondition, NULL, NULL,
    "TRIG:SENT:ICON",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_EQUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_PATTERN =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_PATTERN,
    "Protocol SENT Trigger Status Pattern",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "TRIG:SENT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XXXX",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FAST_CRC_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FAST_CRC_ERROR,
    "Protocol SENT Trigger Fast CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SENT:FCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SLOW_CRC_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SLOW_CRC_ERROR,
    "Protocol SENT Trigger Slow CRC Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SENT:SCRC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FRAME_LENGTH_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FRAME_LENGTH_ERROR,
    "Protocol SENT Trigger Frame Length Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SENT:IRFL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_PULSE_PERIOD_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_PULSE_PERIOD_ERROR,
    "Protocol SENT Trigger Pulse Period Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SENT:PPER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SYNC_PULSE_ERROR =
  {
    RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SYNC_PULSE_ERROR,
    "Protocol SENT Trigger Sync Pulse Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRIG:SENT:PULS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K0|K10",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUN_NO_WAIT =
  {
    RSRTH_ATTR_RUN_NO_WAIT,
    "Run Without Wait",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RUN =
  {
    RSRTH_ATTR_RUN,
    "Run And Wait",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "RUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC | RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_STOP =
  {
    RSRTH_ATTR_STOP,
    "Stop",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_ENABLED =
  {
    RSRTH_ATTR_CURSOR_ENABLED,
    "Cursor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_MEASUREMENT_TYPE =
  {
    RSRTH_ATTR_CURSOR_MEASUREMENT_TYPE,
    "Cursor Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngCursorFunction, NULL, NULL,
    "CURS:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_CURSOR_VERTICAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_SOURCE =
  {
    RSRTH_ATTR_CURSOR_SOURCE,
    "Cursor Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngDataSource, NULL, NULL,
    "CURS:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_COUPLING =
  {
    RSRTH_ATTR_CURSOR_COUPLING,
    "Cursor Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_SCALE_COUPLING =
  {
    RSRTH_ATTR_CURSOR_SCALE_COUPLING,
    "Cursor Scale Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CURS:SCPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_SET_TO_SCREEN =
  {
    RSRTH_ATTR_CURSOR_SET_TO_SCREEN,
    "Cursor Set To Screen",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CURS:SCR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_HORIZONTAL_DISTANCE =
  {
    RSRTH_ATTR_CURSOR_HORIZONTAL_DISTANCE,
    "Cursor Horizontal Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS:DELT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_VERTICAL_DISTANCE =
  {
    RSRTH_ATTR_CURSOR_VERTICAL_DISTANCE,
    "Cursor Vertical Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS:TDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_INVERSE_DISTANCE =
  {
    RSRTH_ATTR_CURSOR_INVERSE_DISTANCE,
    "Cursor Inverse Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS:ITD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_X_POSITION =
  {
    RSRTH_ATTR_CURSOR_X_POSITION,
    "Cursor X Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngCursorXPosition, NULL,
    "CURS:X{CPosition}P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_Y_POSITION =
  {
    RSRTH_ATTR_CURSOR_Y_POSITION,
    "Cursor Y Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngCursorYPosition, NULL,
    "CURS:Y{CPosition}P",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_Y_AMPLITUDE =
  {
    RSRTH_ATTR_CURSOR_Y_AMPLITUDE,
    "Cursor Y Amplitude",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS:Y{CPosition}AM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MEASUREMENT_ENABLED =
  {
    RSRTH_ATTR_MEASUREMENT_ENABLED,
    "Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MEAS{Measurement}:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MEASUREMENT_DISABLED_ALL =
  {
    RSRTH_ATTR_MEASUREMENT_DISABLED_ALL,
    "Measurement Disabled All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MEAS:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MEASUREMENT_DELAY_SLOPE =
  {
    RSRTH_ATTR_MEASUREMENT_DELAY_SLOPE,
    "Measurement Delay Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngMeasurementDelaySlope, NULL, NULL,
    "MEAS{Measurement}:DEL:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_MEAS_POS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MEASUREMENT_TYPE =
  {
    RSRTH_ATTR_MEASUREMENT_TYPE,
    "Measurement Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngMeasurement, NULL, NULL,
    "MEAS{Measurement}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_MEAS_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MEASUREMENT_RESULT =
  {
    RSRTH_ATTR_MEASUREMENT_RESULT,
    "Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MEAS{Measurement}:RES:ACT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MEASUREMENT_RESULT_LIMIT =
  {
    RSRTH_ATTR_MEASUREMENT_RESULT_LIMIT,
    "Measurement Result Limit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRth_rngLimitType, NULL, NULL,
    "MEAS{Measurement}:RES:LIM?",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_INSIDE_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_MEASUREMENT =
  {
    RSRTH_ATTR_CURSOR_MEASUREMENT,
    "Cursor Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngCursorMeasurement, NULL, NULL,
    "CURS:MEAS{Measurement}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_MEAS_PERIOD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT =
  {
    RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT,
    "Cursor Measurement Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS:MEAS{Measurement}:RES:ACT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT_LIMIT =
  {
    RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT_LIMIT,
    "Cursor Measurement Result Limit",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRth_rngLimitType, NULL, NULL,
    "CURS:MEAS{Measurement}:RES:LIM?",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_INSIDE_LIMIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_1 =
  {
    RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_1,
    "Cursor Measurement Amplitude 1",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS:Y1AM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_2 =
  {
    RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_2,
    "Cursor Measurement Amplitude 2",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CURS:Y2AM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MATH_WAVEFORM_ENABLED =
  {
    RSRTH_ATTR_MATH_WAVEFORM_ENABLED,
    "Math Waveform Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MATH:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MATH_EXPRESSION =
  {
    RSRTH_ATTR_MATH_EXPRESSION,
    "Math Expression",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Pow(C1)",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MATH_VERTICAL_RANGE =
  {
    RSRTH_ATTR_MATH_VERTICAL_RANGE,
    "Math Vertical Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH:VERT:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MATH_VERTICAL_SCALE =
  {
    RSRTH_ATTR_MATH_VERTICAL_SCALE,
    "Math Vertical Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH:VERT:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MATH_VERTICAL_POSITION =
  {
    RSRTH_ATTR_MATH_VERTICAL_POSITION,
    "Math Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MATH:VERT:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MATH_RESET =
  {
    RSRTH_ATTR_MATH_RESET,
    "Math Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ACQ:ARES:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_SOURCE =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_SOURCE,
    "Reference Waveform Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngReferenceWaveformSource, NULL, NULL,
    "REFC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED,
    "Reference Waveform Display Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REFC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_NAME =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_NAME,
    "Reference Waveform Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "REFC:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ivi_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_LOAD =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_LOAD,
    "Reference Waveform Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC:OPEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_SAVE =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_SAVE,
    "Reference Waveform Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_DELETE =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_DELETE,
    "Reference Waveform Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_UPDATE =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_UPDATE,
    "Reference Waveform Update",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "REFC:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION =
  {
    RSRTH_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    "Reference Waveform Vertical Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "REFC:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_VIOLATION_EVENT =
  {
    RSRTH_ATTR_MASK_TEST_VIOLATION_EVENT,
    "Mask Test Violation Event",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngMaskTestViolationEvent, NULL, NULL,
    "MASK:ONV",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_MASK_TEST_EVENT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_STATE =
  {
    RSRTH_ATTR_MASK_TEST_STATE,
    "Mask Test State",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsRth_rngMaskTestState, NULL, NULL,
    "MASK?",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_STATE_NOMASK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_RESET =
  {
    RSRTH_ATTR_MASK_TEST_RESET,
    "Mask Test Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MASK:RST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_DURATION =
  {
    RSRTH_ATTR_MASK_TEST_DURATION,
    "Mask Test Duration",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:ELAP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_CREATE =
  {
    RSRTH_ATTR_MASK_TEST_CREATE,
    "Mask Test Create",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MASK:CHAN{Channel}:CRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_ENABLED =
  {
    RSRTH_ATTR_MASK_TEST_ENABLED,
    "Mask Test State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MASK:CHAN{Channel}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_VERTICAL_WIDTH =
  {
    RSRTH_ATTR_MASK_TEST_VERTICAL_WIDTH,
    "Mask Test Vertical Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngMaskVerticalWidth, NULL,
    "MASK:CHAN{Channel}:PROP:YWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_HORIZONTAL_WIDTH =
  {
    RSRTH_ATTR_MASK_TEST_HORIZONTAL_WIDTH,
    "Mask Test Horizontal Width",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngMaskHorizontalWidth, NULL,
    "MASK:CHAN{Channel}:PROP:XWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_RESULT_TOTAL =
  {
    RSRTH_ATTR_MASK_TEST_RESULT_TOTAL,
    "Mask Test Result Total",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:CHAN{Channel}:RES:TOTL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_RESULT_PASSED =
  {
    RSRTH_ATTR_MASK_TEST_RESULT_PASSED,
    "Mask Test Result Passed",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:CHAN{Channel}:RES:PASS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_RESULT_PASSED_PCT =
  {
    RSRTH_ATTR_MASK_TEST_RESULT_PASSED_PCT,
    "Mask Test Result Passed Pct",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:CHAN{Channel}:RES:PASS:PERC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_RESULT_FAILED =
  {
    RSRTH_ATTR_MASK_TEST_RESULT_FAILED,
    "Mask Test Result Failed",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "MASK:CHAN{Channel}:RES:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_MASK_TEST_RESULT_FAILED_PCT =
  {
    RSRTH_ATTR_MASK_TEST_RESULT_FAILED_PCT,
    "Mask Test Result Failed Pct",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MASK:CHAN{Channel}:RES:FAIL:PERC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGIC_CHANNEL_STATE =
  {
    RSRTH_ATTR_LOGIC_CHANNEL_STATE,
    "Logic Channel State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGIC_CHANNEL_COUPLING =
  {
    RSRTH_ATTR_LOGIC_CHANNEL_COUPLING,
    "Logic Channel Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LOG:THC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROBE_STATE =
  {
    RSRTH_ATTR_PROBE_STATE,
    "Probe State",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POD:STAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGIC_CHANNEL_DESKEW =
  {
    RSRTH_ATTR_LOGIC_CHANNEL_DESKEW,
    "Logic Channel Deskew",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngLogicChannelDeskew, NULL,
    "LOG:CHAN{LogicChannel}:DESK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD_TECHNOLOGY =
  {
    RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD_TECHNOLOGY,
    "Logic Channel Group Threshold Technology",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngChannelThresholdTechnology, NULL, NULL,
    "LOG:GRO{LCHGroup}:TECH",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_THR_TTL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD =
  {
    RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD,
    "Logic Channel Group Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngChannelThresholdUser, NULL,
    "LOG:GRO{LCHGroup}:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_GET_THRESHOLD =
  {
    RSRTH_ATTR_LOGIC_CHANNEL_GROUP_GET_THRESHOLD,
    "Logic Channel Group Get Threshold",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LOG:GRO{LCHGroup}:THR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS =
  {
    RSRTH_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS,
    "Logic Channel Group Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngLogicChannelGroupHysteresis, NULL, NULL,
    "LOG:GRO{LCHGroup}:HYST",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LOGIC_HYST_MEDIUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "B1",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WLAN_MODE =
  {
    RSRTH_ATTR_WLAN_MODE,
    "WLAN Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngWLANMode, NULL, NULL,
    "SYST:COMM:WLAN:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_WLAN_ACCESSPOINT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_GET_ACQUISITIONS_COUNT =
  {
    RSRTH_ATTR_HISTORY_GET_ACQUISITIONS_COUNT,
    "History Get Acquisitions Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ACQ:AVA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_STATE =
  {
    RSRTH_ATTR_HISTORY_STATE,
    "History State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_STOP_INDEX =
  {
    RSRTH_ATTR_HISTORY_STOP_INDEX,
    "History Stop Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRth_rngHistoryIndex, NULL,
    "CHAN{Channel}:HIST:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_START_INDEX =
  {
    RSRTH_ATTR_HISTORY_START_INDEX,
    "History Start Index",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsRth_rngHistoryIndex, NULL,
    "CHAN{Channel}:HIST:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_ACQUISITION_VIEW =
  {
    RSRTH_ATTR_HISTORY_ACQUISITION_VIEW,
    "History Acquisition View",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:CURR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_PLAYER_SPEED =
  {
    RSRTH_ATTR_HISTORY_PLAYER_SPEED,
    "History Player Speed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngHistoryPlayerSpeed, NULL, NULL,
    "CHAN{Channel}:HIST:TPAC",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_TPAC_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_NUMBER_OF_SEGMENTS =
  {
    RSRTH_ATTR_HISTORY_NUMBER_OF_SEGMENTS,
    "History Number of Segments",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngHistoryNumberofSegments, NULL, NULL,
    "CHAN{Channel}:HIST:NSEG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LOW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_PLAYBACK =
  {
    RSRTH_ATTR_HISTORY_PLAYBACK,
    "History Playback",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:PLAY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_AUTO_REPEAT =
  {
    RSRTH_ATTR_HISTORY_AUTO_REPEAT,
    "History Auto Repeat",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:REPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_ABSOLUTE_TIME_STAMP =
  {
    RSRTH_ATTR_HISTORY_ABSOLUTE_TIME_STAMP,
    "History Absolute Time Stamp",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TSAB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "12,24,30",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_RELATIVE_TIME_STAMP =
  {
    RSRTH_ATTR_HISTORY_RELATIVE_TIME_STAMP,
    "History Relative Time Stamp",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TSR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HISTORY_DATE =
  {
    RSRTH_ATTR_HISTORY_DATE,
    "History Date",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CHAN{Channel}:HIST:TSD?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DISPLAY_CONTRAST_MODE =
  {
    RSRTH_ATTR_DISPLAY_CONTRAST_MODE,
    "Display Contrast Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DISPLAY_LCD_STATE =
  {
    RSRTH_ATTR_DISPLAY_LCD_STATE,
    "Display LCD State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:LCD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DISPLAY_TOUCH_SCREEN_STATE =
  {
    RSRTH_ATTR_DISPLAY_TOUCH_SCREEN_STATE,
    "Display Touch Screen State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:MOUS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DISPLAY_PERSISTENCE_TIME =
  {
    RSRTH_ATTR_DISPLAY_PERSISTENCE_TIME,
    "Display Persistence Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngPersistenceTime, NULL,
    "DISP:PERS:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DISPLAY_PERSISTENCE_TYPE =
  {
    RSRTH_ATTR_DISPLAY_PERSISTENCE_TYPE,
    "Display Persistence Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngDisplayPersistenceType, NULL, NULL,
    "DISP:PERS",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_PERSISTENCE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_ZOOM_STATE =
  {
    RSRTH_ATTR_ZOOM_STATE,
    "Zoom State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ZOOM:ENAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_ZOOM_SCALE =
  {
    RSRTH_ATTR_ZOOM_SCALE,
    "Zoom Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngZoomScale, NULL,
    "ZOOM:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0e-9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_ZOOM_POSITION =
  {
    RSRTH_ATTR_ZOOM_POSITION,
    "Zoom Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsRth_rngZoomPosition, NULL,
    "ZOOM:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CURRENT_DIRECTORY =
  {
    RSRTH_ATTR_CURRENT_DIRECTORY,
    "Current Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_CREATE_DIRECTORY =
  {
    RSRTH_ATTR_CREATE_DIRECTORY,
    "Create Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_REMOVE_DIRECTORY =
  {
    RSRTH_ATTR_REMOVE_DIRECTORY,
    "Remove Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_DELETE_FILE =
  {
    RSRTH_ATTR_DELETE_FILE,
    "Delete File",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_RECALL_INSTRUMENT_SETTINGS =
  {
    RSRTH_ATTR_RECALL_INSTRUMENT_SETTINGS,
    "Recall Instrument Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RCL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SAVE_INSTRUMENT_SETTINGS =
  {
    RSRTH_ATTR_SAVE_INSTRUMENT_SETTINGS,
    "Save Instrument Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:SAV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_EXPORT_MULTICHANNEL =
  {
    RSRTH_ATTR_WAVEFORM_EXPORT_MULTICHANNEL,
    "Waveform Export Multichannel",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:MULT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_EXPORT_SOURCE =
  {
    RSRTH_ATTR_WAVEFORM_EXPORT_SOURCE,
    "Waveform Export Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngDataSource, NULL, NULL,
    "EXP:WAV:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_DATA_C1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_EXPORT_DATA_LOGGING =
  {
    RSRTH_ATTR_WAVEFORM_EXPORT_DATA_LOGGING,
    "Waveform Export Data Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:DLOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K15",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_EXPORT_FILE =
  {
    RSRTH_ATTR_WAVEFORM_EXPORT_FILE,
    "Waveform Export File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "EXP:WAV:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_EXPORT =
  {
    RSRTH_ATTR_WAVEFORM_EXPORT,
    "Waveform Export",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "EXP:WAV:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_WAVEFORM_EXPORT_INTERLEAVED_XY =
  {
    RSRTH_ATTR_WAVEFORM_EXPORT_INTERLEAVED_XY,
    "Waveform Export Interleaved XY",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "EXP:WAV:INCX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HARDCOPY_FILE_NAME =
  {
    RSRTH_ATTR_HARDCOPY_FILE_NAME,
    "Hardcopy File Name",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ivi_test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HARDCOPY_PRINT =
  {
    RSRTH_ATTR_HARDCOPY_PRINT,
    "Hardcopy Print",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HARDCOPY_BWCOLOR =
  {
    RSRTH_ATTR_HARDCOPY_BWCOLOR,
    "Hardcopy BW Color",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:COL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HARDCOPY_INVERSE =
  {
    RSRTH_ATTR_HARDCOPY_INVERSE,
    "Hardcopy Inverse",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:INV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_HARDCOPY_LANGUAGE_OUTPUT_FORMAT =
  {
    RSRTH_ATTR_HARDCOPY_LANGUAGE_OUTPUT_FORMAT,
    "Hardcopy Language Output Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngHardcopyLang, NULL, NULL,
    "HCOP:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_HARDCOPY_LANG_PNG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_APP_PATH =
  {
    RSRTH_ATTR_APP_PATH,
    "App Path",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "UAPP:PATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "UserApp_SampleClockLevel5dBm.html",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K38",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_APP_PERSISTENCE =
  {
    RSRTH_ATTR_APP_PERSISTENCE,
    "App Persistence",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "UAPP:PERS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K38",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_ID_QUERY_RESPONSE =
  {
    RSRTH_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,RTH,123456/789,1.23",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_LOGGING =
  {
    RSRTH_ATTR_LOGGING,
    "Logging",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "no_command",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsrth_logging_ReadCallback,
    rsrth_logging_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_BYTE_ORDER =
  {
    RSRTH_ATTR_BYTE_ORDER,
    "Byte Order",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsRth_rngByteOrder, NULL, NULL,
    "FORM:BORD",
    // Defaults I32, I64, Float, Bool, String
    RSRTH_VAL_LSBF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_SYSTEM_ERROR =
  {
    RSRTH_ATTR_SYSTEM_ERROR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSRTH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
  {
    RSRTH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
    "Process All Previous Commands",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*WAI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsrth_RsCoreAttributeListLength = 310;

RsCoreAttributePtr rsrth_RsCoreAttributeList[310] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSRTH_ATTR_MODE,
    &g_RSRTH_ATTR_NUM_AVERAGES,
    &g_RSRTH_ATTR_SAMPLE_MODE,
    &g_RSRTH_ATTR_PRESELECTED_RECORD_LENGTH,
    &g_RSRTH_ATTR_WAVEFORM_UPDATE,
    &g_RSRTH_ATTR_HORZ_RECORD_LENGTH,
    &g_RSRTH_ATTR_HORZ_ADC_SAMPLE_RATE,
    &g_RSRTH_ATTR_HORZ_RESOLUTION,
    &g_RSRTH_ATTR_AUTOSCALE,
    &g_RSRTH_ATTR_HORZ_TIME_PER_RECORD,
    &g_RSRTH_ATTR_HORZ_SCALE,
    &g_RSRTH_ATTR_ACQUSITION_START_TIME,
    &g_RSRTH_ATTR_HORZ_REFERENCE,
    &g_RSRTH_ATTR_CHANNEL_ENABLED,
    &g_RSRTH_ATTR_VERTICAL_RANGE,
    &g_RSRTH_ATTR_VERTICAL_OFFSET,
    &g_RSRTH_ATTR_VERTICAL_COUPLING,
    &g_RSRTH_ATTR_VERTICAL_SCALE,
    &g_RSRTH_ATTR_CHANNEL_OFFSET,
    &g_RSRTH_ATTR_CHANNEL_BANDWIDTH_LIMIT,
    &g_RSRTH_ATTR_CHANNEL_DELAY,
    &g_RSRTH_ATTR_PROBE_SETTLING,
    &g_RSRTH_ATTR_PROBE_FACTOR,
    &g_RSRTH_ATTR_PROBE_UNIT,
    &g_RSRTH_ATTR_INVERT_POLARITY,
    &g_RSRTH_ATTR_WAVEFORM_HEADER,
    &g_RSRTH_ATTR_CHANNEL_THRESHOLD_TECHNOLOGY,
    &g_RSRTH_ATTR_CHANNEL_THRESHOLD_USER,
    &g_RSRTH_ATTR_CHANNEL_FIND_THRESHOLD,
    &g_RSRTH_ATTR_CHANNEL_GET_THRESHOLD,
    &g_RSRTH_ATTR_TRIGGER_TYPE,
    &g_RSRTH_ATTR_TRIGGER_SOURCE,
    &g_RSRTH_ATTR_TRIGGER_MODE,
    &g_RSRTH_ATTR_TRIGGER_NOISE_REJECT,
    &g_RSRTH_ATTR_TRIGGER_LEVEL,
    &g_RSRTH_ATTR_TRIGGER_SLOPE,
    &g_RSRTH_ATTR_EXTERNAL_TRIGGER_LEVEL,
    &g_RSRTH_ATTR_EXTERNAL_TRIGGER_SLOPE,
    &g_RSRTH_ATTR_RUNT_CONDITION,
    &g_RSRTH_ATTR_RUNT_WIDTH,
    &g_RSRTH_ATTR_RUNT_WIDTH_MIN,
    &g_RSRTH_ATTR_RUNT_WIDTH_MAX,
    &g_RSRTH_ATTR_RUNT_DELTA,
    &g_RSRTH_ATTR_RUNT_POLARITY,
    &g_RSRTH_ATTR_RUNT_HIGH_THRESHOLD,
    &g_RSRTH_ATTR_RUNT_LOW_THRESHOLD,
    &g_RSRTH_ATTR_GLITCH_WIDTH,
    &g_RSRTH_ATTR_GLITCH_POLARITY,
    &g_RSRTH_ATTR_GLITCH_CONDITION,
    &g_RSRTH_ATTR_WIDTH_CONDITION,
    &g_RSRTH_ATTR_WIDTH_WIDTH,
    &g_RSRTH_ATTR_WIDTH_WIDTH_MIN,
    &g_RSRTH_ATTR_WIDTH_WIDTH_MAX,
    &g_RSRTH_ATTR_WIDTH_DELTA,
    &g_RSRTH_ATTR_WIDTH_POLARITY,
    &g_RSRTH_ATTR_WINDOW_CONDITION,
    &g_RSRTH_ATTR_WINDOW_WIDTH,
    &g_RSRTH_ATTR_WINDOW_WIDTH_MIN,
    &g_RSRTH_ATTR_WINDOW_WIDTH_MAX,
    &g_RSRTH_ATTR_WINDOW_DELTA,
    &g_RSRTH_ATTR_WINDOW_TIME_CONDITION,
    &g_RSRTH_ATTR_WINDOW_UPPER_LIMIT,
    &g_RSRTH_ATTR_WINDOW_LOWER_LIMIT,
    &g_RSRTH_ATTR_TIMEOUT_CONDITION,
    &g_RSRTH_ATTR_TIMEOUT_VALUE,
    &g_RSRTH_ATTR_INTERVAL_CONDITION,
    &g_RSRTH_ATTR_INTERVAL_WIDTH,
    &g_RSRTH_ATTR_INTERVAL_WIDTH_MIN,
    &g_RSRTH_ATTR_INTERVAL_WIDTH_MAX,
    &g_RSRTH_ATTR_INTERVAL_DELTA,
    &g_RSRTH_ATTR_INTERVAL_POLARITY,
    &g_RSRTH_ATTR_SLEW_CONDITION,
    &g_RSRTH_ATTR_SLEW_RATE,
    &g_RSRTH_ATTR_SLEW_DELTA,
    &g_RSRTH_ATTR_SLEW_WIDTH_MIN,
    &g_RSRTH_ATTR_SLEW_WIDTH_MAX,
    &g_RSRTH_ATTR_SLEW_POLARITY,
    &g_RSRTH_ATTR_SLEW_UPPER_LIMIT,
    &g_RSRTH_ATTR_SLEW_LOWER_LIMIT,
    &g_RSRTH_ATTR_DATA2CLOCK_CONDITION,
    &g_RSRTH_ATTR_DATA2CLOCK_SOURCE,
    &g_RSRTH_ATTR_DATA2CLOCK_DATA_SOURCE,
    &g_RSRTH_ATTR_DATA2CLOCK_HOLD_TIME,
    &g_RSRTH_ATTR_DATA2CLOCK_SETUP_TIME,
    &g_RSRTH_ATTR_DATA2CLOCK_POLARITY,
    &g_RSRTH_ATTR_PATTERN_COMBINATION,
    &g_RSRTH_ATTR_PATTERN_TIMEOUT,
    &g_RSRTH_ATTR_PATTERN_CONDITION,
    &g_RSRTH_ATTR_PATTERN_WIDTH,
    &g_RSRTH_ATTR_PATTERN_WIDTH_MIN,
    &g_RSRTH_ATTR_PATTERN_WIDTH_MAX,
    &g_RSRTH_ATTR_PATTERN_DELTA,
    &g_RSRTH_ATTR_PATTERN_CHANNEL_STATE,
    &g_RSRTH_ATTR_SERIAL_PATTERN_SOURCE,
    &g_RSRTH_ATTR_SERIAL_PATTERN_DATA_SOURCE,
    &g_RSRTH_ATTR_SERIAL_PATTERN,
    &g_RSRTH_ATTR_SERIAL_PATTERN_POLARITY,
    &g_RSRTH_ATTR_SERIAL_PATTERN_FIRST_POLARITY,
    &g_RSRTH_ATTR_SERIAL_PATTERN_BIT_ORDER,
    &g_RSRTH_ATTR_TV_TRIGGER_STANDARD,
    &g_RSRTH_ATTR_TV_TRIGGER_MODE,
    &g_RSRTH_ATTR_TV_TRIGGER_LINE_NUMBER,
    &g_RSRTH_ATTR_TV_TRIGGER_FIELD,
    &g_RSRTH_ATTR_TV_TRIGGER_POLARITY,
    &g_RSRTH_ATTR_TV_TRIGGER_PULSE_TYPE,
    &g_RSRTH_ATTR_TV_TRIGGER_LINE_PERIOD,
    &g_RSRTH_ATTR_TV_TRIGGER_PULSE_WIDTH,
    &g_RSRTH_ATTR_TV_TRIGGER_SCAN_MODE,
    &g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_MODE,
    &g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_TIME,
    &g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_EVENTS,
    &g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MINIMUM_TIME,
    &g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MAXIMUM_TIME,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_MODE,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADRESS_NACK,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS_BIT,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_POSITION,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN,
    &g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_MODE,
    &g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN,
    &g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_POSITION,
    &g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_PATTERN_LINE,
    &g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_MODE,
    &g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN,
    &g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_MODE,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_PARITY_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_MODE,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_FDF,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_BRS,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_ESI,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BYTE_OFFSET,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR,
    &g_RSRTH_ATTR_STATE_TRIGGER_CLOCK_SOURCE,
    &g_RSRTH_ATTR_STATE_TRIGGER_CLOCK_EDGE,
    &g_RSRTH_ATTR_STATE_TRIGGER_COMBINATION,
    &g_RSRTH_ATTR_STATE_TRIGGER_ENABLED,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_TYPE,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_PATTERN,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_PATTERN,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_CONDITION,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_PATTERN,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FAST_CRC_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SLOW_CRC_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FRAME_LENGTH_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_PULSE_PERIOD_ERROR,
    &g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SYNC_PULSE_ERROR,
    &g_RSRTH_ATTR_RUN_NO_WAIT,
    &g_RSRTH_ATTR_RUN,
    &g_RSRTH_ATTR_STOP,
    &g_RSRTH_ATTR_CURSOR_ENABLED,
    &g_RSRTH_ATTR_CURSOR_MEASUREMENT_TYPE,
    &g_RSRTH_ATTR_CURSOR_SOURCE,
    &g_RSRTH_ATTR_CURSOR_COUPLING,
    &g_RSRTH_ATTR_CURSOR_SCALE_COUPLING,
    &g_RSRTH_ATTR_CURSOR_SET_TO_SCREEN,
    &g_RSRTH_ATTR_CURSOR_HORIZONTAL_DISTANCE,
    &g_RSRTH_ATTR_CURSOR_VERTICAL_DISTANCE,
    &g_RSRTH_ATTR_CURSOR_INVERSE_DISTANCE,
    &g_RSRTH_ATTR_CURSOR_X_POSITION,
    &g_RSRTH_ATTR_CURSOR_Y_POSITION,
    &g_RSRTH_ATTR_CURSOR_Y_AMPLITUDE,
    &g_RSRTH_ATTR_MEASUREMENT_ENABLED,
    &g_RSRTH_ATTR_MEASUREMENT_DISABLED_ALL,
    &g_RSRTH_ATTR_MEASUREMENT_DELAY_SLOPE,
    &g_RSRTH_ATTR_MEASUREMENT_TYPE,
    &g_RSRTH_ATTR_MEASUREMENT_RESULT,
    &g_RSRTH_ATTR_MEASUREMENT_RESULT_LIMIT,
    &g_RSRTH_ATTR_CURSOR_MEASUREMENT,
    &g_RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT,
    &g_RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT_LIMIT,
    &g_RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_1,
    &g_RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_2,
    &g_RSRTH_ATTR_MATH_WAVEFORM_ENABLED,
    &g_RSRTH_ATTR_MATH_EXPRESSION,
    &g_RSRTH_ATTR_MATH_VERTICAL_RANGE,
    &g_RSRTH_ATTR_MATH_VERTICAL_SCALE,
    &g_RSRTH_ATTR_MATH_VERTICAL_POSITION,
    &g_RSRTH_ATTR_MATH_RESET,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_SOURCE,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_NAME,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_LOAD,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_SAVE,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_DELETE,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_UPDATE,
    &g_RSRTH_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION,
    &g_RSRTH_ATTR_MASK_TEST_VIOLATION_EVENT,
    &g_RSRTH_ATTR_MASK_TEST_STATE,
    &g_RSRTH_ATTR_MASK_TEST_RESET,
    &g_RSRTH_ATTR_MASK_TEST_DURATION,
    &g_RSRTH_ATTR_MASK_TEST_CREATE,
    &g_RSRTH_ATTR_MASK_TEST_ENABLED,
    &g_RSRTH_ATTR_MASK_TEST_VERTICAL_WIDTH,
    &g_RSRTH_ATTR_MASK_TEST_HORIZONTAL_WIDTH,
    &g_RSRTH_ATTR_MASK_TEST_RESULT_TOTAL,
    &g_RSRTH_ATTR_MASK_TEST_RESULT_PASSED,
    &g_RSRTH_ATTR_MASK_TEST_RESULT_PASSED_PCT,
    &g_RSRTH_ATTR_MASK_TEST_RESULT_FAILED,
    &g_RSRTH_ATTR_MASK_TEST_RESULT_FAILED_PCT,
    &g_RSRTH_ATTR_LOGIC_CHANNEL_STATE,
    &g_RSRTH_ATTR_LOGIC_CHANNEL_COUPLING,
    &g_RSRTH_ATTR_PROBE_STATE,
    &g_RSRTH_ATTR_LOGIC_CHANNEL_DESKEW,
    &g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD_TECHNOLOGY,
    &g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD,
    &g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_GET_THRESHOLD,
    &g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS,
    &g_RSRTH_ATTR_WLAN_MODE,
    &g_RSRTH_ATTR_HISTORY_GET_ACQUISITIONS_COUNT,
    &g_RSRTH_ATTR_HISTORY_STATE,
    &g_RSRTH_ATTR_HISTORY_STOP_INDEX,
    &g_RSRTH_ATTR_HISTORY_START_INDEX,
    &g_RSRTH_ATTR_HISTORY_ACQUISITION_VIEW,
    &g_RSRTH_ATTR_HISTORY_PLAYER_SPEED,
    &g_RSRTH_ATTR_HISTORY_NUMBER_OF_SEGMENTS,
    &g_RSRTH_ATTR_HISTORY_PLAYBACK,
    &g_RSRTH_ATTR_HISTORY_AUTO_REPEAT,
    &g_RSRTH_ATTR_HISTORY_ABSOLUTE_TIME_STAMP,
    &g_RSRTH_ATTR_HISTORY_RELATIVE_TIME_STAMP,
    &g_RSRTH_ATTR_HISTORY_DATE,
    &g_RSRTH_ATTR_DISPLAY_CONTRAST_MODE,
    &g_RSRTH_ATTR_DISPLAY_LCD_STATE,
    &g_RSRTH_ATTR_DISPLAY_TOUCH_SCREEN_STATE,
    &g_RSRTH_ATTR_DISPLAY_PERSISTENCE_TIME,
    &g_RSRTH_ATTR_DISPLAY_PERSISTENCE_TYPE,
    &g_RSRTH_ATTR_ZOOM_STATE,
    &g_RSRTH_ATTR_ZOOM_SCALE,
    &g_RSRTH_ATTR_ZOOM_POSITION,
    &g_RSRTH_ATTR_CURRENT_DIRECTORY,
    &g_RSRTH_ATTR_CREATE_DIRECTORY,
    &g_RSRTH_ATTR_REMOVE_DIRECTORY,
    &g_RSRTH_ATTR_DELETE_FILE,
    &g_RSRTH_ATTR_RECALL_INSTRUMENT_SETTINGS,
    &g_RSRTH_ATTR_SAVE_INSTRUMENT_SETTINGS,
    &g_RSRTH_ATTR_WAVEFORM_EXPORT_MULTICHANNEL,
    &g_RSRTH_ATTR_WAVEFORM_EXPORT_SOURCE,
    &g_RSRTH_ATTR_WAVEFORM_EXPORT_DATA_LOGGING,
    &g_RSRTH_ATTR_WAVEFORM_EXPORT_FILE,
    &g_RSRTH_ATTR_WAVEFORM_EXPORT,
    &g_RSRTH_ATTR_WAVEFORM_EXPORT_INTERLEAVED_XY,
    &g_RSRTH_ATTR_HARDCOPY_FILE_NAME,
    &g_RSRTH_ATTR_HARDCOPY_PRINT,
    &g_RSRTH_ATTR_HARDCOPY_BWCOLOR,
    &g_RSRTH_ATTR_HARDCOPY_INVERSE,
    &g_RSRTH_ATTR_HARDCOPY_LANGUAGE_OUTPUT_FORMAT,
    &g_RSRTH_ATTR_APP_PATH,
    &g_RSRTH_ATTR_APP_PERSISTENCE,
    &g_RSRTH_ATTR_ID_QUERY_RESPONSE,
    &g_RSRTH_ATTR_LOGGING,
    &g_RSRTH_ATTR_BYTE_ORDER,
    &g_RSRTH_ATTR_SYSTEM_ERROR,
    &g_RSRTH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS
  };
